Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class WebdavKey

    java.lang.Object
      com.compoze.collab.Key
          com.compoze.collab.exchange.WebdavKey

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class WebdavKey
extends Key

The `WebdavKey` class is used to define the properties that can be retrieved, accessed and modified from Exchange via WebDAV.

See Also:
  Serialized Form

Field Summary
`static WebdavKey` | `ACCOUNT` This key is used to manipulate the `urn:schemas:contacts:account` property that represents the account number of a contact.
`static WebdavKey` | `ACTUAL_EFFORT` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/actualeffort` property that represents the actual work, in minutes, of a task.
`static WebdavKey` | `ACTUAL_WORK` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008110` MAPI property that represents the actual work, in minutes, of a task.
`static WebdavKey` | `ALL_DAY_EVENT` This key is used to manipulate the `urn:schemas:calendar:alldayevent` property that represents whether an appointment is an All Day Event.
`static java.lang.String` | `APPOINTMENT_GUID` Represents the GUID for MAPI named properties user for appointments.
`static WebdavKey` | `APPT_DURATION` This key is used to manipulate the `http://schemas.microsoft.com/mapi/apptduration` property that represents the duration, in minutes, of an appointment or meeting.
`static WebdavKey` | `APPT_IS_RECURRING` This key is used to manipulate the `http://schemas.microsoft.com/mapi/is_recurring` property that represents if a WebDAV instance or exception item is recurring.
`static WebdavKey` | `APPT_LOCATION` This key is used to manipulate the `urn:schemas:calendar:location` property that represents the location of an appointment or meeting.
`static WebdavKey` | `APPT_RECUR` This key is used to manipulate the `http://schemas.microsoft.com/mapi/apptrecur` property that represents the binary recurrence pattern of an appointment or meeting.
`static WebdavKey` | `APPT_STATE_FLAGS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/apptstateflags` property that represents the meeting status, as an integer value, for an appointment or meeting.
`static WebdavKey` | `APPT_UID` This key is used to manipulate the `urn:schemas:calendar:uid` property that represents the unique id of an appointment or meeting.
`static WebdavKey` | `ASSOCIATED` Key that represents the MAPI property `0x67aa000b` for an attachment.
`static WebdavKey` | `ATTACHMENT_FILENAME` This key is used to manipulate the `urn:schemas:httpmail:attachmentfilename` property for WebDAV attachments.
`static WebdavKey` | `ATTENDEE_ROLE` This key is used to manipulate the `urn:schemas:calendar:attendeerole` property that represents the role of an attendee to a meeting.
`static WebdavKey` | `ATTENDEE_STATUS` This key is used to manipulate the `urn:schemas:calendar:attendeestatus` property that represents the status of an attendee to a meeting.
`static WebdavKey` | `BCC` This key is used to manipulate the `urn:schemas:httpmail:bcc` property for a WebDAV message.
`static WebdavKey` | `BDAY` This key is used to manipulate the `urn:schemas:contacts:bday` property that represents the birthday of a contact.
`static WebdavKey` | `BILLING` This key is used to manipulate the `http://schemas.microsoft.com/mapi/billing` property for WebDAV tasks.
`static WebdavKey` | `BILLING_INFORMATION` This key is used to manipulate the `urn:schemas:contacts:billinginformation` property that represents the billing information of a contact.
`static WebdavKey` | `BUSINESS_HOMEPAGE` This key is used to manipulate the `urn:schemas:contacts:businesshomepage` property that represents the url of a contact's business website.
`static WebdavKey` | `BUSY_STATUS` This key is used to manipulate the `urn:schemas:calendar:busystatus` property that represents the free/busy information of an attendee at a particular time.
`static WebdavKey` | `BUSY_STATUS_MAPI` This key is used to manipulate the `http://schemas.microsoft.com/mapi/busystatus` property that represents the busy status, as an integer value, for an appointment or meeting.
`static WebdavKey` | `C` This key is used to manipulate the `urn:schemas:contacts:c` property that represents the country/region code of a contact.
`static WebdavKey` | `CALENDAR` This key is used to manipulate the `urn:schemas:httpmail:calendar` property that retrieves the default Calendar folder from the root container.
`static WebdavKey` | `CALLBACK_PHONE` This key is used to manipulate the `urn:schemas:contacts:callbackphone` property that represents the phone number of a contact.
`static WebdavKey` | `CC` This key is used to manipulate the `urn:schemas:httpmail:cc` property for a WebDAV message.
`static WebdavKey` | `CHANGE_TYPE` This key is used to represent the `http://schemas.microsoft.com/repl/changetype` property that is returned when using WebDAV replication to denote the type of change.
`static WebdavKey` | `CHILDRENS_NAMES` This key is used to manipulate the `urn:schemas:contacts:childrensnames` property that represents the names of each child of a contact.
`static WebdavKey` | `CLEAN_GLOBAL_OBJID` This key is used to manipulate the `http://schemas.microsoft.com/mapi/cleanglobalobjid` property the represents the unique ID of the appointment associated with a meeting request.
`static WebdavKey` | `CN` This key is used to manipulate the `urn:schemas:contacts:cn` property that represents the common name (or friendly name) of a contact.
`static WebdavKey` | `CO` This key is used to manipulate the `urn:schemas:contacts:co` property that represents the country or region of employment for a contact.
`static WebdavKey` | `COLLBLOB` This key is used to manipulate the `http://schemas.microsoft.com/repl/collblob` property the represents if the attachments on a message are to be considered as hidden.
`static java.lang.String` | `COMMON_GUID` Represents the GUID for common MAPI named properties.
`static WebdavKey` | `COMPANIES` This key is used to manipulate the `http://schemas.microsoft.com/mapi/companies` MAPI property that represents the companies field of a task.
`static WebdavKey` | `COMPUTER_NETWORK_NAME` This key is used to manipulate the `urn:schemas:contacts:computernetworkname` property that represents the internet/intranet name of a contact.
`static WebdavKey` | `CONTACT` This key is used to manipulate the `urn:schemas:calendar:contact` property that represents the name of a contact who is the attendee of a meeting.
`static WebdavKey` | `CONTACT_NAMES` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062008-0000-0000-C000-000000000046}/0x0000853A` MAPI property that represents the contacts of a WebDAV item.
`static WebdavKey` | `CONTACT_URL` This key is used to manipulate the `urn:schemas:calendar:contacturl` property that represents the URL where information about the contact for a meeting can be found.
`static WebdavKey` | `CONTACTS` This key is used to manipulate the `urn:schemas:httpmail:contacts` property that retrieves the default Contacts folder from the root container.
`static java.lang.String` | `CONTACTS_GUID` Represents the GUID for MAPI named properties used for contacts.
`static WebdavKey` | `CONTENT_CLASS` This key is used to manipulate the `DAV:contentclass` property for any WebDAV item.
`static WebdavKey` | `CREATED` This key is used to manipulate the `urn:schemas:calendar:created` property that represents date and time when an appointment was created.
`static WebdavKey` | `CREATION_DATE` This key is used to manipulate the `DAV:creationdate` property for any WebDAV item.
`static WebdavKey` | `CUSTOMER_ID` This key is used to manipulate the `urn:schemas:contacts:customerid` property that represents the customer ID of a contact.
`static WebdavKey` | `DATE` This key is used to manipulate the `urn:schemas:httpmail:date` property that represents the date a WebDAV message was sent.
`static WebdavKey` | `DATE_COMPLETED` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x0000810F` MAPI property that represents the date a task was completed.
`static WebdavKey` | `DATE_COMPLETED_2K3` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/datecompleted` property that represents the date a task was completed.
`static WebdavKey` | `DATE_RECEIVED` This key is used to manipulate the `urn:schemas:httpmail:datereceived` property for WebDAV messages.
`static WebdavKey` | `DELEGATOR` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/delegator` property that represents the delegator of a task.
`static WebdavKey` | `DELETED_ITEMS` This key is used to manipulate the `urn:schemas:httpmail:deleteditems` property that retrieves the default Deleted Items folder from the root container.
`static WebdavKey` | `DELIVERY_REPORT_REQUESTED` This key is used to manipulate the `http://schemas.microsoft.com/exchange/deliveryreportrequested` property for WebDAV items.
`static WebdavKey` | `DEPARTMENT` This key is used to manipulate the `urn:schemas:contacts:department` property that represents the department of employment for a contact.
`static WebdavKey` | `DESCRIPTION_URL` This key is used to manipulate the `urn:schemas:calendar:descriptionurl` property that represents the URL that contains the description of a meeting or appointment.
`static WebdavKey` | `DISPLAY_BCC` This key is used to manipulate the `urn:schemas:httpmail:displaybcc` property for WebDAV messages.
`static WebdavKey` | `DISPLAY_CC` This key is used to manipulate the `urn:schemas:httpmail:displaycc` property for WebDAV messages.
`static WebdavKey` | `DISPLAY_NAME` Key representing the `DAV:displayname` property that can be used to get the display name of any WebDAV item.
`static WebdavKey` | `DISPLAY_TO` This key is used to manipulate the `urn:schemas:httpmail:displayto` property for WebDAV messages.
`static WebdavKey` | `DN` This key is used to manipulate the `urn:schemas:contacts:dn` property that represents the fully distinguished X.500 name of a contact.
`static WebdavKey` | `DRAFTS` This key is used to manipulate the `urn:schemas:httpmail:drafts` property that retrieves the default Drafts folder from the root container.
`static WebdavKey` | `DT_DUE` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/dtdue` property that represents the date a task is due.
`static WebdavKey` | `DT_END` This key is used to manipulate the `urn:schemas:calendar:dtend` property that represents the date and time that an appointment or meeting ends.
`static WebdavKey` | `DT_STAMP` This key is used to manipulate the `urn:schemas:calendar:dtstamp` property that represents the date and time that an iCalendar object was created by CDO.
`static WebdavKey` | `DT_START` This key is used to manipulate the `urn:schemas:calendar:dtstart` property that represents the date and time that an appointment or meeting starts.
`static WebdavKey` | `DT_START_TASK` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/dtstart` property that represents the date a task starts.
`static WebdavKey` | `DUE_DATE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008105` MAPI property that represents the date a task is due.
`static WebdavKey` | `DURATION` This key is used to manipulate the `urn:schemas:calendar:duration` property that represents the duration, in seconds, of an appointment or meeting.
`static WebdavKey` | `EMAIL1` This key is used to manipulate the `urn:schemas:contacts:email1` property that represents the fully qualified primary smtp email address of a contact.
`static WebdavKey` | `EMAIL1_ADDRESS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email1emailaddress` property that represents the primary SMTP email address for a contact.
`static WebdavKey` | `EMAIL1_ADDRESS_TYPE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email1addrtype` property that represents the primary email address type for a contact.
`static WebdavKey` | `EMAIL1_DISPLAY_NAME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email1originaldisplayname` property that represents the display name for a contact's primary email address.
`static WebdavKey` | `EMAIL2` This key is used to manipulate the `urn:schemas:contacts:email2` property that represents the fully qualified secondary smtp email address of a contact.
`static WebdavKey` | `EMAIL2_ADDRESS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email2emailaddress` property that represents the secondary SMTP email address for a contact.
`static WebdavKey` | `EMAIL2_ADDRESS_TYPE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email2addrtype` property that represents the secondary email address type for a contact.
`static WebdavKey` | `EMAIL2_DISPLAY_NAME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email2originaldisplayname` property that represents the display name for a contact's secondary email address.
`static WebdavKey` | `EMAIL3_ADDRESS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email3emailaddress` property that represents the third SMTP email address for a contact.
`static WebdavKey` | `EMAIL3_ADDRESS_TYPE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email3addrtype` property that represents the third email address type for a contact.
`static WebdavKey` | `EMAIL3_DISPLAY_NAME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/email3originaldisplayname` property that represents thedisplay name for a contact's third email address.
`static WebdavKey` | `EMPLOYEE_NUMBER` This key is used to manipulate the `urn:schemas:contacts:employeenumber` property that represents the employee number of a contact.
`static WebdavKey` | `ESTIMATED_EFFORT` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/estimatedeffort` property that represents the total work (estimate), in minutes, of a task.
`static WebdavKey` | `EX_DATE` This key is used to manipulate the `urn:schemas:calendar:exdate` property that represents the dates, as WebDAV dateTime strings, that are exceptions to an appointment or meeting.
`static WebdavKey` | `EX_RULE` This key is used to manipulate the `urn:schemas:calendar:exrule` property that represents the RRULE string that is an exception recurrence rule to an appointment or meeting.
`static WebdavKey` | `EXT_ATTR_1` This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute1` property that represents a user defined attribute of a contact.
`static WebdavKey` | `EXT_ATTR_2` This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute2` property that represents a user defined attribute of a contact.
`static WebdavKey` | `EXT_ATTR_3` This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute3` property that represents a user defined attribute of a contact.
`static WebdavKey` | `EXT_ATTR_4` This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute4` property that represents a user defined attribute of a contact.
`static WebdavKey` | `FACSIMILE_NUMBER` This key is used to manipulate the `urn:schemas:contacts:facsimiletelephonenumber` property that represents the fax number of a contact.
`static WebdavKey` | `FB_URL` This key is used to manipulate the `urn:schemas:calendar:fburl` property that represents the URL to the public folder free/busy information.
`static WebdavKey` | `FILE_AS` This key is used to manipulate the `urn:schemas:contacts:fileas` property that represents the string that is used to display this contact.
`static WebdavKey` | `FILE_AS_ID` This key is used to manipulate the `urn:schemas:contacts:fileasid` property that represents the integer enumeration value that is used to display this contact.
`static WebdavKey` | `FREEBUSY_ADDRESS` Key that represents the address of the free/busy entry.
`static WebdavKey` | `FREEBUSY_ALL_EVENTS` Key that represents the events of 'all' free/busy data.
`static WebdavKey` | `FREEBUSY_ALL_MONTHS` Key that represents the months of 'all' free/busy data.
`static WebdavKey` | `FREEBUSY_BUSY_EVENTS` Key that represents the events of 'busy' free/busy data.
`static WebdavKey` | `FREEBUSY_BUSY_MONTHS` Key that represents the months of 'busy' free/busy data.
`static WebdavKey` | `FREEBUSY_DATA` Key that represents the events local free/busy data.
`static WebdavKey` | `FREEBUSY_MONTHS_TO_PUBLISH` Key that represents the amount of time, in months, to publish free/busy data.
`static WebdavKey` | `FREEBUSY_OOF_EVENTS` Key that represents the events of 'out of office events' free/busy data.
`static WebdavKey` | `FREEBUSY_OOF_MONTHS` Key that represents the months of 'out of office' free/busy data.
`static WebdavKey` | `FREEBUSY_RANGE_END` Key that represents the end of the free busy data.
`static WebdavKey` | `FREEBUSY_RANGE_START` Key that represents the start of the free busy data.
`static WebdavKey` | `FREEBUSY_TENTATIVE_EVENTS` Key that represents the events of 'tentative' free/busy data.
`static WebdavKey` | `FREEBUSY_TENTATIVE_MONTHS` Key that represents the months of 'tentative' free/busy data.
`static WebdavKey` | `FROM` This key is used to manipulate the `urn:schemas:httpmail:from` property for WebDAV messages.
`static WebdavKey` | `FROM_EMAIL` This key is used to manipulate the `urn:schemas:httpmail:fromemail` property for WebDAV messages.
`static WebdavKey` | `FROM_NAME` This key is used to manipulate the `urn:schemas:httpmail:fromname` property for WebDAV messages.
`static WebdavKey` | `FTP_SITE` This key is used to manipulate the `urn:schemas:contacts:ftpsite` property that represents the File Transfer Protocol (FTP) site for a contact.
`static WebdavKey` | `GENDER` This key is used to manipulate the `urn:schemas:contacts:gender` property that represents the gender of a contact.
`static WebdavKey` | `GEOLATITUDE` This key is used to manipulate the `urn:schemas:calendar:geolatitude` property that represents the latitude coordinates of an appointment or meeting.
`static WebdavKey` | `GEOLONGITUDE` This key is used to manipulate the `urn:schemas:calendar:geolongitude` property that represents the longitude coordinates of an appointment or meeting.
`static WebdavKey` | `GET_CONTENT_LENGTH` This key is used to read the `DAV:getcontentlength` property for any WebDAV item.
`static WebdavKey` | `GET_CONTENT_TYPE` This key is used to read the `DAV:getcontenttype` property for any WebDAV item.
`static WebdavKey` | `GET_E_TAG` This key is used to read the `DAV:getetag` property for any WebDAV item.
`static WebdavKey` | `GET_LAST_MODIFIED` This key is used to read the `DAV:getlastmodified` property for any WebDAV item.
`static WebdavKey` | `GIVEN_NAME` This key is used to manipulate the `urn:schemas:contacts:givenName` property that represents the given, or first name, of a contact.
`static WebdavKey` | `GLOBAL_OBJID` This key is used to manipulate the `http://schemas.microsoft.com/mapi/global_objid` property the represents the unique ID of the appointment associated with a meeting request.
`static WebdavKey` | `HAS_ATTACHMENT` This key is used to manipulate the `urn:schemas:httpmail:hasattachment` property for WebDAV messages.
`static WebdavKey` | `HAS_SUBS` Key representing the `DAV:hassubs` property that represents if a folder has subfolders.
`static WebdavKey` | `HOBBIES` This key is used to manipulate the `urn:schemas:contacts:hobbies` property that represents the hobbies of a contact.
`static WebdavKey` | `HOME_CITY` This key is used to manipulate the `urn:schemas:contacts:homeCity` property that represents the home city of a contact.
`static WebdavKey` | `HOME_COUNTRY` This key is used to manipulate the `urn:schemas:contacts:homeCountry` property that represents the home country of a contact.
`static WebdavKey` | `HOME_FAX` This key is used to manipulate the `urn:schemas:contacts:homefax` property that represents the home fax number of a contact.
`static WebdavKey` | `HOME_LATITUDE` This key is used to manipulate the `urn:schemas:contacts:homelatitude` property that represents the latitude of the home for a contact.
`static WebdavKey` | `HOME_LONGITUDE` This key is used to manipulate the `urn:schemas:contacts:homelongitude` property that represents the longitude of the home for a contact.
`static WebdavKey` | `HOME_PHONE` This key is used to manipulate the `urn:schemas:contacts:homePhone` property that represents the home phone number of a contact.
`static WebdavKey` | `HOME_PHONE2` This key is used to manipulate the `urn:schemas:contacts:homepostaladdress` property that represents the secondary home phone number of a contact.
`static WebdavKey` | `HOME_POST_OFFICE_BOX` This key is used to manipulate the `urn:schemas:contacts:homepostofficebox` property that represents the home post office box of a contact.
`static WebdavKey` | `HOME_POSTAL_ADDRESS` This key is used to manipulate the `urn:schemas:contacts:homepostaladdress` property that represents the home postal address of a contact.
`static WebdavKey` | `HOME_POSTAL_CODE` This key is used to manipulate the `urn:schemas:contacts:homePostalCode` property that represents the home postal code of a contact.
`static WebdavKey` | `HOME_STATE` This key is used to manipulate the `urn:schemas:contacts:homeState` property that represents the home state of a contact.
`static WebdavKey` | `HOME_STREET` This key is used to manipulate the `urn:schemas:contacts:homeStreet` property that represents the home street of a contact.
`static WebdavKey` | `HOME_TIMEZONE` This key is used to manipulate the `urn:schemas:contacts:hometimezone` property that represents the home timezone of a contact.
`static WebdavKey` | `HREF` Key representing the `DAV:href` property that is used as an items ID.
`static WebdavKey` | `HTML_DESCRIPTION` This key is used to manipulate the `urn:schemas:httpmail:htmldescription` that represents the HTML body of a WebDAV message.
`static WebdavKey` | `ID` This key is used to read the `DAV:id` property for any WebDAV item.
`static WebdavKey` | `IM_ADDRESS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062004-0000-0000-C000-000000000046}/0x00008062` property that represents the IM address of a contact.
`static WebdavKey` | `IMPORTANCE` This key is used to manipulate the `urn:schemas:httpmail:importance` property for WebDAV messages.
`static WebdavKey` | `INBOX` This key is used to manipulate the `urn:schemas:httpmail:inbox` property that retrieves the default Inbox folder from the root container.
`static WebdavKey` | `INITIALS` This key is used to manipulate the `urn:schemas:contacts:initials` property that represents initials for a contact.
`static WebdavKey` | `INSTANCE_TYPE` This key is used to manipulate the `urn:schemas:calendar:instancetype` property that represents if this appointment is an instance, single, master, or exception.
`static WebdavKey` | `INTENDED_BUSY_STATUS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/intendedbusystatus` property the represents the busy status of the appointment associated with this meeting request.
`static WebdavKey` | `INTERNATIONAL_ISDN_NUMBER` This key is used to manipulate the `urn:schemas:contacts:internationalisdnnumber` property that represents ISDN number for a contact.
`static WebdavKey` | `IS_COLLECTION` This key is used to read the `DAV:iscollection` property for any WebDAV item.
`static WebdavKey` | `IS_COMPLETE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x0000811C` MAPI property that represents whether a task has been marked as complete.
`static WebdavKey` | `IS_COMPLETE_2K3` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/is_complete` property that represents whether a task has been marked as complete.
`static WebdavKey` | `IS_FOLDER` This key is used to manipulate the `DAV:isfolder` property for any WebDAV item.
`static WebdavKey` | `IS_HIDDEN` This key is used to manipulate the `DAV:ishidden` property for any WebDAV item.
`static WebdavKey` | `IS_ORGANIZER` This key is used to manipulate the `urn:schemas:calendar:isorganizer` property that represents if an attendee is the organizer of an appointment or meeting.
`static WebdavKey` | `IS_READ_ONLY` This key is used to read the `DAV:isreadonly` property for any WebDAV item.
`static WebdavKey` | `IS_RECURRING` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008126` MAPI property that represents if a task is recurring.
`static WebdavKey` | `IS_RECURRING_2K3` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/is_recurring` property that represents if a task is recurring.
`static WebdavKey` | `IS_STRUCTURED_DOCUMENT` This key is used to read the `DAV:isstructureddocument` property for any WebDAV item.
`static WebdavKey` | `IS_TEAM_TASK` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008103` MAPI property that represents if a task has been delegated to at least 2 recipients.
`static WebdavKey` | `JOURNAL` This key is used to manipulate the `urn:schemas:httpmail:journal` property that retrieves the default Journal folder from the root container.
`static WebdavKey` | `KEYWORDS` This key is used to change the `http://schemas.microsoft.com/exchange/keywords-utf8` property that represents the keywords (or categories) of an item.
`static WebdavKey` | `L` This key is used to manipulate the `urn:schemas:contacts:l` property that represents city of a contact.
`static WebdavKey` | `LANGUAGE` This key is used to manipulate the `urn:schemas:contacts:language` property that represents ISO639 language of a contact.
`static WebdavKey` | `LAST_MODIFIED` This key is used to manipulate the `urn:schemas:calendar:lastmodified` property that represents the string value of when an appointment was last modified.
`static WebdavKey` | `LAST_MODIFIED_TIME` This key is used to manipulate the `urn:schemas:calendar:lastmodifiedtime` property that represents the last time a WebDAV item was modified.
`static WebdavKey` | `LOCATION` This key is used to manipulate the `urn:schemas:contacts:location` property that represents the location of a contact.
`static WebdavKey` | `LOCATION_URL` This key is used to manipulate the `urn:schemas:calendar:locationurl` property that represents the URL of where appointment information can be accessed.
`static WebdavKey` | `MAILHEADER_BCC` This key is used to manipulate the `urn:schemas:mailheader:bcc` property for WebDAV items
`static WebdavKey` | `MAILHEADER_CC` This key is used to manipulate the `urn:schemas:mailheader:cc` property for WebDAV items
`static WebdavKey` | `MAILHEADER_FROM` This key is used to manipulate the `urn:schemas:mailheader:from` property for WebDAV messages.
`static WebdavKey` | `MAILHEADER_SUBJECT` This key is used to manipulate the `urn:schemas:mailheader:subject` property that represents the ASCII subject of a WebDAV message.
`static WebdavKey` | `MAILHEADER_TO` This key is used to manipulate the `urn:schemas:mailheader:to` property for WebDAV items
`static WebdavKey` | `MAILING_ADDRESS_ID` This key is used to manipulate the `urn:schemas:contacts:mailingaddressid` property that represents the integer that specifies how a contact's mailing address should be formatted.
`static WebdavKey` | `MAILING_CITY` This key is used to manipulate the `urn:schemas:contacts:mailingcity` property that represents the city portion of a contact's mailing address.
`static WebdavKey` | `MAILING_COUNTRY` This key is used to manipulate the `urn:schemas:contacts:mailingcountry` property that represents the country/region portion of a contact's mailing address.
`static WebdavKey` | `MAILING_POST_OFFICE_BOX` This key is used to manipulate the `urn:schemas:contacts:mailingpostofficebox` property that represents the post office box portion of a contact's mailing address.
`static WebdavKey` | `MAILING_POSTAL_ADDRESS` This key is used to manipulate the `urn:schemas:contacts:mailingpostaladdress` property that represents the postal address portion of a contact's mailing address.
`static WebdavKey` | `MAILING_POSTAL_CODE` This key is used to manipulate the `urn:schemas:contacts:mailingpostalcode` property that represents the postal code portion of a contact's mailing address.
`static WebdavKey` | `MAILING_STATE` This key is used to manipulate the `urn:schemas:contacts:mailingstate` property that represents the state portion of a contact's mailing address.
`static WebdavKey` | `MAILING_STREET` This key is used to manipulate the `urn:schemas:contacts:mailingstreet` property that represents the street portion of a contact's mailing address.
`static WebdavKey` | `MANAGER` This key is used to manipulate the `urn:schemas:contacts:manager` property that represents the distinguished name of the manager for a contact.
`static WebdavKey` | `MAPI_SENDER_NAME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/sender_name` property the represents the sender name for a message
`static WebdavKey` | `MAPI_SUBJECT` This key is used to manipulate the `http://schemas.microsoft.com/mapi/subject` property that represents the subject of a task.
`static WebdavKey` | `MEETING_DATE_SENT` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062002-0000-0000-C000-000000000046}/0x00008202` property that represents the date an appointment was sent as a meeting to invitees.
`static WebdavKey` | `MEETING_STATUS` This key is used to manipulate the `urn:schemas:calendar:meetingstatus` property that represents the status of an appointment or meeting as a string.
`static WebdavKey` | `MESSAGE_FLAG` This key is used to manipulate the `urn:schemas:httpmail:messageflag` property that represents the text associated with a message flag for a WebDAV message.
`static WebdavKey` | `METHOD` This key is used to manipulate the `urn:schemas:calendar:method` property that represents the method associated with the CDO appointment object.
`static WebdavKey` | `MID` This key is used to manipulate the `http://schemas.microsoft.com/exchange/mid` property for WebDAV items.
`static WebdavKey` | `MIDDLE_NAME` This key is used to manipulate the `urn:schemas:contacts:middlename` property that represents the middle name of a contact.
`static WebdavKey` | `MILEAGE` This key is used to manipulate the `http://schemas.microsoft.com/exchange/mileage` property for Exchange items.
`static WebdavKey` | `MOBILE` This key is used to manipulate the `urn:schemas:contacts:mobile` property that represents the mobile telephone number of a contact.
`static WebdavKey` | `NAME_SUFFIX` This key is used to manipulate the `urn:schemas:contacts:namesuffix` property that represents the generation qualifier of a contact.
`static java.lang.String` | `NAMESPACE_CALENDAR` Represents the namespace "`urn:schemas:calendar:`"
`static java.lang.String` | `NAMESPACE_CONTACTS` Represents the namespace "`urn:schemas:contacts:`"
`static java.lang.String` | `NAMESPACE_DAV` Represents the namespace "`DAV:`"
`static java.lang.String` | `NAMESPACE_EXCHANGE` Represents the namespace "`http://schemas.microsoft.com/exchange/`"
`static java.lang.String` | `NAMESPACE_EXCHANGE_TASKS` Represents the namespace "`http://schemas.microsoft.com/exchange/tasks/`"
`static java.lang.String` | `NAMESPACE_HTTPMAIL` Represents the namespace "`urn:schemas:httpmail:`"
`static java.lang.String` | `NAMESPACE_MAILHEADER` Represents the namespace "`urn:schemas:mailheader:`"
`static java.lang.String` | `NAMESPACE_MAPI` Represents the namespace "`http://schemas.microsoft.com/mapi/`"
`static java.lang.String` | `NAMESPACE_MAPI_ID` Represents the namespace "`http://schemas.microsoft.com/mapi/id/`"
`static java.lang.String` | `NAMESPACE_MAPI_PROPTAG` Represents the namespace "`http://schemas.microsoft.com/mapi/proptag/`"
`static java.lang.String` | `NAMESPACE_MAPI_STRING` Represents the namespace "`http://schemas.microsoft.com/mapi/string/`"
`static java.lang.String` | `NAMESPACE_REPL` Represents the namespace "`http://schemas.microsoft.com/repl/`"
`static java.lang.String` | `NAMESPACE_XML` Represents the namespace "`XML:`"
`static WebdavKey` | `NICKNAME` This key is used to manipulate the `urn:schemas:contacts:nickname` property that represents the nickname for a contact.
`static WebdavKey` | `NORMALIZED_SUBJECT` This key is used to manipulate the `urn:schemas:httpmail:normalizedsubject` property for WebDAV messages.
`static WebdavKey` | `NOTES` This key is used to manipulate the `urn:schemas:httpmail:notes` property that retrieves the default Notes folder from the root container.
`static WebdavKey` | `O` This key is used to manipulate the `urn:schemas:contacts:o` property that represents contact's organization name.
`static WebdavKey` | `OBJECT_COUNT` Key representing the `DAV:objectcount` property for returning the message count of a folder including hidden and non-hidden messages.
`static WebdavKey` | `OFFICE_TELEPHONE_NUMBER` This key is used to manipulate the `urn:schemas:contacts:officetelephonenumber` property that represents primary office telephone number for a contact.
`static WebdavKey` | `OFFICE2_TELEPHONE_NUMBER` This key is used to manipulate the `urn:schemas:contacts:office2telephonenumber` property that represents secondary office telephone number for a contact.
`static WebdavKey` | `ORGANIZATION_MAIN_PHONE` This key is used to manipulate the `urn:schemas:contacts:organizationmainphone` property that represents primary telephone number for an organization/contact.
`static WebdavKey` | `ORGANIZER` This key is used to manipulate the `urn:schemas:calendar:organizer` property that represents the SMTP email address of the organizer for an appointment or meeting.
`static WebdavKey` | `ORIGINAL_DISPLAY_CC` This key is used to manipulate the `http://schemas.microsoft.com/mapi/original_display_cc` property that represents the original CC value of a message that is represented by a report.
`static WebdavKey` | `ORIGINAL_DISPLAY_TO` This key is used to manipulate the `http://schemas.microsoft.com/mapi/original_display_to` property that represents the original TO value of a message that is represented by a report.
`static WebdavKey` | `ORIGINAL_RECIPIENTS` Key that represents the TO, and CC recipients that are on a message repreented by a report.
`static WebdavKey` | `ORIGINAL_SUBJECT` This key is used to manipulate the `http://schemas.microsoft.com/mapi/original_subject` property the represents the subject of the message that was unable to be delivered as specified by an non-delivery report.
`static WebdavKey` | `OTHER_CITY` This key is used to manipulate the `urn:schemas:contacts:othercity` property that represents the city portion of a contact's alternative address.
`static WebdavKey` | `OTHER_COUNTRY` This key is used to manipulate the `urn:schemas:contacts:othercountry` property that represents the country/region portion of a contact's alternative address.
`static WebdavKey` | `OTHER_COUNTRY_CODE` This key is used to manipulate the `urn:schemas:contacts:othercountrycode` property that represents the 2-character representation of a contact's alternative country.
`static WebdavKey` | `OTHER_FAX` This key is used to manipulate the `urn:schemas:contacts:otherfax` property that represents the alternative fax number for a contact.
`static WebdavKey` | `OTHER_MOBILE` This key is used to manipulate the `urn:schemas:contacts:othermobile` property that represents the alternative mobile telephone number for a contact.
`static WebdavKey` | `OTHER_PAGER` This key is used to manipulate the `urn:schemas:contacts:otherpager` property that represents the alternative pager number for a contact.
`static WebdavKey` | `OTHER_POST_OFFICE_BOX` This key is used to manipulate the `urn:schemas:contacts:otherpostofficebox` property that represents the post office box portion of a contact's alternative address.
`static WebdavKey` | `OTHER_POSTAL_ADDRESS` This key is used to manipulate the `urn:schemas:contacts:otherpostaladdress` property that represents the postal address portion of a contact's alternative address.
`static WebdavKey` | `OTHER_POSTAL_CODE` This key is used to manipulate the `urn:schemas:contacts:otherpostalcode` property that represents the postal code portion of a contact's alternative address.
`static WebdavKey` | `OTHER_STATE` This key is used to manipulate the `urn:schemas:contacts:otherstate` property that represents the state portion of a contact's alternative address.
`static WebdavKey` | `OTHER_STREET` This key is used to manipulate the `urn:schemas:contacts:otherstreet` property that represents the street portion of a contact's alternative address.
`static WebdavKey` | `OTHER_TELEPHONE` This key is used to manipulate the `urn:schemas:contacts:otherTelephone` property that represents the alternative work telephone of a contact.
`static WebdavKey` | `OTHER_TIMEZONE` This key is used to manipulate the `urn:schemas:contacts:othertimezone` property that represents the alternative work timezone of a contact.
`static WebdavKey` | `OUTBOX` This key is used to manipulate the `urn:schemas:httpmail:outbox` property that retrieves the default Outbox folder from the root container.
`static WebdavKey` | `OUTLOOK_FOLDER_CLASS` This key is used to manipulate the `http://schemas.microsoft.com/exchange/outlookfolderclass` property for WebDAV folders.
`static WebdavKey` | `OUTLOOK_MESSAGE_CLASS` This key is used to manipulate the `http://schemas.microsoft.com/exchange/outlookmessageclass` property for WebDAV messages
`static WebdavKey` | `OWNER` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/owner` property that represents the owner of a task.
`static WebdavKey` | `PAGER` This key is used to manipulate the `urn:schemas:contacts:pager` property that represents the work pager number of a contact.
`static WebdavKey` | `PARENT_NAME` This key is used to manipulate the `DAV:parentname` property for WebDAV items This key is read-only.
`static WebdavKey` | `PERCENT_COMPLETE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008102` MAPI property that represents the percent complete of a task.
`static WebdavKey` | `PERCENT_COMPLETE_2K3` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/percentcomplete` property that represents the percent complete of a task.
`static WebdavKey` | `PERMANENT_URL` This key is used to manipulate the `http://schemas.microsoft.com/exchange/permanenturl` property for WebDAV items.
`static WebdavKey` | `PERSONAL_HOMEPAGE` This key is used to manipulate the `urn:schemas:contacts:personalHomePage` property that represents the personal website of a contact.
`static WebdavKey` | `PERSONAL_TITLE` This key is used to manipulate the `urn:schemas:contacts:personaltitle` property that represents the personal name prefix of a contact.
`static WebdavKey` | `POST_OFFICE_BOX` This key is used to manipulate the `urn:schemas:contacts:postofficebox` property that represents the work post office box for a contact.
`static WebdavKey` | `POSTAL_CODE` This key is used to manipulate the `urn:schemas:contacts:postalcode` property that represents the work postal code for a contact.
`static WebdavKey` | `PR_ACCESS` Key that represents the MAPI property `PR_ACCESS` for a message.
`static WebdavKey` | `PR_ACCESS_LEVEL` Key that represents the MAPI property `PR_ACCESS_LEVEL` for a message.
`static WebdavKey` | `PR_ATTACH_CONTENT_ID` Key that represents the MAPI property `PR_ATTACH_CONTENT_ID` for an attachment.
`static WebdavKey` | `PR_ATTACH_DATA_BIN` Key that represents the MAPI property `PR_ATTACH_DATA_BIN` for a contact.
`static WebdavKey` | `PR_ATTACH_EXTENSION` Key that represents the MAPI property `PR_ATTACH_EXTENSION` for an attachment.
`static WebdavKey` | `PR_ATTACH_FILENAME` Key that represents the MAPI property `PR_ATTACH_FILENAME` for an attachment.
`static WebdavKey` | `PR_ATTACH_METHOD` Key that represents the MAPI property `PR_ATTACH_METHOD` for an attachment.
`static WebdavKey` | `PR_ATTACH_MIME_TAG` Key that represents the MAPI property `PR_ATTACH_MIME_TAG` for an attachment.
`static WebdavKey` | `PR_ATTACH_NUM` Key that represents the MAPI property `PR_ATTACH_NUM` for an attachment.
`static WebdavKey` | `PR_ATTACH_SIZE` Key that represents the MAPI property `PR_ATTACH_SIZE` for an attachment.
`static WebdavKey` | `PR_CAR_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_CAR_TELEPHONE_NUMBER` for a contact.
`static WebdavKey` | `PR_CONTAINER_CLASS` Key that represents the MAPI property `PR_CONTAINER_CLASS` for any folder
`static WebdavKey` | `PR_CONTENT_UNREAD` Key that represents the MAPI property `PR_CONTENT_UNREAD` which is the the number of unread messages for a folder.
`static WebdavKey` | `PR_CREATOR_ENTRYID` Key that represents the MAPI property `PR_CREATOR_ENTRYID` for a message.
`static WebdavKey` | `PR_CREATOR_NAME` Key that represents the MAPI property `PR_CREATOR_NAME` for a message.
`static WebdavKey` | `PR_FLAG_STATUS` Key that represents the MAPI property `PR_FLAG_STATUS` for any message.
`static WebdavKey` | `PR_FOLDER_CHILD_COUNT` Key that represents the MAPI property `PR_FOLDER_CHILD_COUNT` that represents the number of subfolders for a folder.
`static WebdavKey` | `PR_ICON_INDEX` Key that represents the MAPI property `PR_ICON_INDEX` for an Exchange item.
`static WebdavKey` | `PR_LAST_MODIFIER_ENTRYID` Key that represents the MAPI property `PR_LAST_MODIFIER_ENTRYID` for a message.
`static WebdavKey` | `PR_LAST_MODIFIER_NAME` Key that represents the MAPI property `PR_LAST_MODIFIER_NAME` for a message.
`static WebdavKey` | `PR_MESSAGE_CLASS` Key that represents the MAPI property `PR_MESSAGE_CLASS` for any message.
`static WebdavKey` | `PR_MESSAGE_SIZE` Key that represents the MAPI property `PR_MESSAGE_SIZE` for a message.
`static WebdavKey` | `PR_OBJECT_TYPE` Key that represents the MAPI property `PR_OBJECT_TYPE` for any message.
`static WebdavKey` | `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED` Key that represents the MAPI property `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED` for a message.
`static WebdavKey` | `PR_PREDECESSOR_CHANGE_LIST` Key that represents the MAPI property `PR_PREDECESSOR_CHANGE_LIST` for a message.
`static WebdavKey` | `PR_PRIMARY_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_PRIMARY_TELEPHONE_NUMBER` for a contact.
`static WebdavKey` | `PR_RADIO_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_RADIO_TELEPHONE_NUMBER` for a contact.
`static WebdavKey` | `PR_READ_RECEIPT_REQUESTED` Key that represents the MAPI property `PR_READ_RECEIPT_REQUESTED` for a message.
`static WebdavKey` | `PR_RENDERING_POSITION` Key that represents the MAPI property `PR_RENDERING_POSITION` for an attachment.
`static WebdavKey` | `PR_REPORT_TEXT` Key that represents the MAPI property `PR_REPORT_TEXT` for a contact.
`static WebdavKey` | `PR_SOURCE_KEY` Key that represents the MAPI property `PR_SOURCE_KEY` for a message.
`static WebdavKey` | `PR_SUBJECT_PREFIX` Key that represents the MAPI property `PR_SUBJECT_PREFIX` for a message.
`static WebdavKey` | `PR_URL_COMP_NAME` Key that represents the MAPI property `PR_READ_RECEIPT_REQUESTED` for a message.
`static WebdavKey` | `PRIORITY` This key is used to manipulate the `urn:schemas:httpmail:priority` property for WebDAV messages.
`static WebdavKey` | `PROD_ID` This key is used to manipulate the `urn:schemas:calendar:organizer` property that represents the ID of the product that created the CDO iCalendar.
`static WebdavKey` | `PROFESSION` This key is used to manipulate the `urn:schemas:contacts:profession` property that represents profession of a contact.
`static WebdavKey` | `PROXY_ADDRESSES` This key is used to manipulate the `urn:schemas:contacts:proxyaddresses` property that represents client email addresses of a contact.
`static WebdavKey` | `R_RULE` This key is used to manipulate the `urn:schemas:calendar:rrule` property that represents the recurrence rule for an appointment.
`static WebdavKey` | `RDATE` This key is used to manipulate the `urn:schemas:calendar:rdate` property that represents the instances, in dateTime.tz format, of a recurring appointment or meeting.
`static WebdavKey` | `READ_RECEIPT_REQUESTED` This key is used to manipulate the `http://schemas.microsoft.com/exchange/readreceiptrequested` property for WebDAV items.
`static WebdavKey` | `RECEIPT_TIME` This key is used to manipulate the `http://schemas.microsoft.com/exchange/receipttime` property that represents the time of a receipt.
`static WebdavKey` | `RECIPIENTS` Key that represents the TO, CC and BCC recipients on any WebDAV message.
`static WebdavKey` | `RECURRENCE_ID` This key is used to manipulate the `urn:schemas:calendar:recurrenceid` property that represents the ID of an instance of a recurring appointment in dateTime.tz format.
`static WebdavKey` | `RECURRENCE_ID_RANGE` This key is used to manipulate the `urn:schemas:calendar:recurrenceidrange` property that represents the range of IDs in the `urn:schemas:calendar:recurrenceid` field.
`static WebdavKey` | `RECURRING` This key is used to manipulate the `http://schemas.microsoft.com/mapi/recurring` property that represents if a WebDAV master or single item is recurring.
`static WebdavKey` | `REFERRED_BY` This key is used to manipulate the `urn:schemas:contacts:referredby` property that represents the name of a person who referred a contact.
`static WebdavKey` | `REMINDER_DELTA` This key is used to manipulate the `http://schemas.microsoft.com/mapi/reminderdelta` property that represents the amount of time, in minutes, that a reminder for an appointment should be displayed before that appointment's due time.
`static WebdavKey` | `REMINDER_NEXT_TIME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/remindernexttime` property.
`static WebdavKey` | `REMINDER_OFFSET` This key is used to manipulate the `urn:schemas:calendar:reminderoffset` property that represents the amount of time, in seconds, that a reminder for an appointment should be displayed before that appointment's due time.
`static WebdavKey` | `REMINDER_SET` This key is used to manipulate the `http://schemas.microsoft.com/mapi/reminderset` property that represents if a WebDAV item has a reminder set.
`static WebdavKey` | `REMINDER_TYPE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/remindertype` property.
`static WebdavKey` | `REPL_UID` This key is used to manipulate the `http://schemas.microsoft.com/repl/repl-uid` property for WebDAV items.
`static WebdavKey` | `REPLY_TIME` This key is used to manipulate the `urn:schemas:calendar:replytime` property that represents the time that an attendee replied to a meeting request.
`static WebdavKey` | `REPLY_TO` This key is used to manipulate the `urn:schemas:httpmail:reply-to` property for WebDAV messages.
`static WebdavKey` | `REPORT_TIME` This key is used to manipulate the `http://schemas.microsoft.com/exchange/reporttime` property that represents the time of a report.
`static WebdavKey` | `REQUEST_ASSOCIATED_TASK` This key is used to manipulate the `http://schemas.microsoft.com/mapi/taskglobalobjid` property represents the associated task for a task request.
`static WebdavKey` | `RESOURCE_TAG` This key is used to manipulate the `http://schemas.microsoft.com/repl/resourcetag` property for WebDAV items.
`static WebdavKey` | `RESOURCE_TYPE` This key is used to read the `DAV:resourcetype` property for any WebDAV item.
`static WebdavKey` | `RESOURCES` This key is used to manipulate the `urn:schemas:calendar:resources` property that represents a list of resources that are available for an appointment.
`static WebdavKey` | `RESPONSE_REQUESTED` This key is used to manipulate the `urn:schemas:calendar:responserequested` property that represents whether the originator of a meeting requested a response on a meeting request.
`static WebdavKey` | `RESPONSE_STATUS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/responsestatus` property that represents the meeting response status, as an integer value, for an appointment or meeting.
`static WebdavKey` | `ROOM_NUMBER` This key is used to manipulate the `urn:schemas:contacts:roomnumber` property that represents the room number for a contact.
`static WebdavKey` | `ROOT_MAILBOX` This key is used to manipulate the `urn:schemas:httpmail:msgfolderroot` property that retrieves the default root mailbox from the store.
`static WebdavKey` | `RSVP` This key is used to manipulate the `urn:schemas:calendar:rsvp` property that represents the if the originator requested a response to a meeting request.
`static WebdavKey` | `SAVE_DESTINATION` This key is used to manipulate the `urn:schemas:httpmail:savedestination` property that specifies where to save a message after it is sent.
`static WebdavKey` | `SAVE_IN_SENT` This key is used to manipulate the `urn:schemas:httpmail:saveinsent` property that specifies how a message is saved when it is sent.
`static WebdavKey` | `SECRETARY` This key is used to manipulate the `urn:schemas:contacts:secretary` property that represents the full name of the secretary for a contact.
`static WebdavKey` | `SECRETARY_CN` This key is used to manipulate the `urn:schemas:contacts:secretarycn` property that represents the common, or friendly, name of the secretary for a contact.
`static WebdavKey` | `SECRETARY_PHONE` This key is used to manipulate the `urn:schemas:contacts:secretaryphone` property that represents the telephone number of the secretary for a contact.
`static WebdavKey` | `SECRETARY_URL` This key is used to manipulate the `urn:schemas:contacts:secretaryurl` property that represents the website url of the secretary for a contact.
`static WebdavKey` | `SENDER` This key is used to manipulate the `urn:schemas:httpmail:sender` property for WebDAV messages.
`static WebdavKey` | `SENDER_EMAIL` This key is used to manipulate the `urn:schemas:httpmail:senderemail` property for WebDAV messages.
`static WebdavKey` | `SENDER_ENTRYID` This key is used to manipulate the `http://schemas.microsoft.com/mapi/sender_entryid` property the represents the sender entry id of a message
`static WebdavKey` | `SENDER_NAME` This key is used to manipulate the `urn:schemas:httpmail:sendername` property for WebDAV messages.
`static WebdavKey` | `SENSITIVITY` This key is used to manipulate the `http://schemas.microsoft.com/exchange/sensitivity` property for WebDAV messages.
`static WebdavKey` | `SENT_ITEMS` This key is used to manipulate the `urn:schemas:httpmail:sentitems` property that retrieves the default Sent Items folder from the root container.
`static WebdavKey` | `SENT_REPRESENTING_ENTRYID` This key is used to manipulate the `http://schemas.microsoft.com/mapi/sent_representing_entryid` property the represents the represented sender entry id of a message
`static WebdavKey` | `SENT_REPRESENTING_NAME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/sent_representing_name` property the represents the represented sender of a message.
`static WebdavKey` | `SEQUENCE` This key is used to manipulate the `urn:schemas:calendar:sequence` property that represents the sequence number version for an appointment.
`static WebdavKey` | `SMART_NO_ATTACH` This key is used to manipulate the `http://schemas.microsoft.com/mapi/smartnoattach` property the represents if the attachments on a message are to be considered as hidden.
`static WebdavKey` | `SN` This key is used to manipulate the `urn:schemas:contacts:sn` property that represents the surname, or lastname, of a contact.
`static WebdavKey` | `SOURCE_URL` This key is used to manipulate the `urn:schemas:contacts:sourceurl` property that represents the source to the website URL for a contact.
`static WebdavKey` | `SPOUSE_CN` This key is used to manipulate the `urn:schemas:contacts:spousecn` property that represents the common, or friendly name, for the spouse of a contact.
`static WebdavKey` | `ST` This key is used to manipulate the `urn:schemas:contacts:st` property that represents the work state for a contact.
`static WebdavKey` | `START_DATE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008104` MAPI property that represents the start date of a task.
`static WebdavKey` | `STREET` This key is used to manipulate the `urn:schemas:contacts:street` property that represents the work street for a contact.
`static WebdavKey` | `SUBJECT` This key is used to manipulate the `urn:schemas:httpmail:subject` property for a WebDAV message.
`static WebdavKey` | `SUBMISSION_CONT_LENGTH` This key is used to manipulate the `urn:schemas:contacts:submissioncontlength` property that represents the maximum length, in KB, of a message that can be sent to a contact.
`static WebdavKey` | `SUBMISSION_URI` This key is used to manipulate the `urn:schemas:httpmail:sendmsg` property that retrieves the DAV MAIL SUBMISSION URI.
`static WebdavKey` | `TASK_DELEGATOR` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008121` MAPI property that represents the delegator of a task
`static WebdavKey` | `TASK_MODE` This key is used to manipulate the `http://schemas.microsoft.com/mapi/taskmode` that represents if a task notice is an accept, update, or decline.
`static WebdavKey` | `TASK_OWNER` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x0000811F` MAPI property that represents the owner of a task
`static WebdavKey` | `TASK_RECUR` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/taskrecur` property that represents the binary value of a task's recurrence pattern.
`static WebdavKey` | `TASK_RECURRENCE_PATTERN` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008116` MAPI property that represents the binary value of a task's recurrence pattern.
`static WebdavKey` | `TASK_REMINDER_TIME` This key is used to manipulate the `http://schemas.microsoft.com/mapi/remindertime` the represents the reminder date of a task.
`static WebdavKey` | `TASK_STATUS` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008101` MAPI property that represents the current status of a task.
`static WebdavKey` | `TASK_STATUS_2K3` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/status` property that represents the current status of a task.
`static WebdavKey` | `TASKS` This key is used to manipulate the `urn:schemas:httpmail:tasks` property that retrieves the default Tasks folder from the root container.
`static java.lang.String` | `TASKS_GUID` Represents the GUID for MAPI named properties used for tasks.
`static WebdavKey` | `TEAM_TASK` This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/teamtask` property that represents if a task has been delegated to at least 2 recipients.
`static WebdavKey` | `TELEPHONE_NUMBER` This key is used to manipulate the `urn:schemas:contacts:telephoneNumber` property that represents the primary work telephone number of a contact.
`static WebdavKey` | `TELEPHONE_NUMBER2` This key is used to manipulate the `urn:schemas:contacts:telephonenumber2` property that represents the secondary work telephone number of a contact.
`static WebdavKey` | `TELEX_NUMBER` This key is used to manipulate the `urn:schemas:contacts:telexnumber` property that represents the telex number of a contact.
`static WebdavKey` | `TEXT_DESCRIPTION` This key is used to manipulate the `urn:schemas:httpmail:textdescription` property that represents the body of a WebDAV message.
`static WebdavKey` | `TIMEZONE` This key is used to manipulate the `urn:schemas:calendar:timezone` property that represents a custom timezone for an appointment or meeting.
`static WebdavKey` | `TIMEZONE_DESC` This key is used to manipulate the `http://schemas.microsoft.com/mapi/timezonedesc` property the represents the timezone description of a recurring appointment.
`static WebdavKey` | `TIMEZONE_ID` This key is used to manipulate the `urn:schemas:calendar:timezoneid` property that represents the CDO identifier for a timezone.
`static WebdavKey` | `TIMEZONE_STRUCT` This key is used to manipulate the `http://schemas.microsoft.com/mapi/timezonestruct` property that represents the binary timezone structure information for recurring appointments.
`static WebdavKey` | `TITLE` This key is used to manipulate the `urn:schemas:contacts:title` property that represents the work title or position of a contact.
`static WebdavKey` | `TO` This key is used to manipulate the `urn:schemas:httpmail:to` property for a WebDAV message.
`static WebdavKey` | `TOTAL_WORK` This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008111` MAPI property that represents the total work, in minutes, of a task.
`static WebdavKey` | `TRANSPARENT` This key is used to manipulate the `urn:schemas:calendar:transparent` property that represents if an appointment is visible to free/busy searches.
`static WebdavKey` | `TTYTDD_PHONE` This key is used to manipulate the `urn:schemas:contacts:ttytddphone` property that represents the ttytdd phone number of a contact.
`static WebdavKey` | `UID` This key is used to read the `DAV:uid` property for any WebDAV item.
`static WebdavKey` | `UNREACHABLE_RECIPIENTS` Key that represents the TO, and CC recipients that were not able to be contacted for message delivery.
`static WebdavKey` | `UNREAD` This key is used to manipulate the (negated) `urn:schemas:httpmail:read` property for WebDAV messages.
`static WebdavKey` | `UNREAD_COUNT` This key is used to manipulate the `urn:schemas:httpmail:unreadcount` property the represents the number of unread objects in a folder.
`static WebdavKey` | `USER_CERTIFICATE` This key is used to manipulate the `urn:schemas:contacts:usercertificate` property that represents certificate used to authenticate a contact.
`static WebdavKey` | `VERSION` This key is used to manipulate the `urn:schemas:calendar:version` property that represents the version of the CDO iCalendar specification.
`static WebdavKey` | `VISIBLE_COUNT` Key representing the `DAV:visiblecount` property that is used to get the number of visible messages in a folder.
`static WebdavKey` | `WEDDING_ANNIVERSARY` This key is used to manipulate the `urn:schemas:contacts:usercertificate` property that represents the wedding anniversary of a contact.
`static WebdavKey` | `WORK_ADDRESS` This key is used to manipulate the `urn:schemas:contacts:workaddress` property that represents the work address for a contact.
`static WebdavKey` | `X_PRIORITY_LONG` This key is used to manipulate the `http://schemas.microsoft.com/exchange/x-priority-long"` property for WebDAV messages.

Fields inherited from class com.compoze.collab.Key
`BASE_TYPE_MASK, EMPTY_KEY_ARRAY, EMPTY_STRING, s_keyMap, VALUE_ARRAY, VALUE_BINARY, VALUE_BOOLEAN, VALUE_DATE, VALUE_DOUBLE, VALUE_ENUMELEMENT, VALUE_FLOAT, VALUE_INTEGER, VALUE_ITEM, VALUE_LONG, VALUE_SERIALIZABLE, VALUE_SHORT, VALUE_STRING, VALUE_UNKNOWN`

Constructor Summary
`protected` | `WebdavKey(java.lang.String sID, int iValueType, java.lang.String sNamespace, java.lang.String sName, int iID, boolean bReadOnly)` Constructor

Method Summary
`static WebdavKey` | `createKey(int iValueType, int iProptag)` Creates a custom WebdavKey based on a property tag.
`static WebdavKey` | `createKey(int iValueType, java.lang.String sNamespace, java.lang.String sName)` Creates a WebDAV key based on a WebDAV namespace and name.
`static WebdavKey` | `createKey(int iValueType, java.lang.String sNamespace, java.lang.String sGUID, java.lang.String sID)` Creates a custom WebdavKey based on a mapi named prop.
`protected static WebdavKey` | `createKey(java.lang.String sID, int iValueType, int iProptag, boolean bReadOnly)` Creates an WebdavKey based on a property tag
`protected static WebdavKey` | `createKey(java.lang.String sID, int iValueType, int iProptag, int iID, boolean bReadOnly)` Creates an WebdavKey based on a property tag.
`protected static WebdavKey` | `createKey(java.lang.String sID, int iValueType, java.lang.String sNamespace, java.lang.String sName, int iID)` Creates a WebdavKey.
`protected static WebdavKey` | `createKey(java.lang.String sID, int iValueType, java.lang.String sNamespace, java.lang.String sName, int iID, boolean bReadOnly)` Creates a WebdavKey.
`protected static WebdavKey` | `createKey(java.lang.String sInternalID, int iValueType, java.lang.String sNamespace, java.lang.String sGUID, java.lang.String sID, int iID)` Creates a custom WebdavKey based on a mapi named prop.
`boolean` | `equals(java.lang.Object obj)` Two keys are equal if they share IDs.
`static WebdavKey` | `findByProptag(int iProptag)` Finds an `WebDavKey` based on MAPI proptag.
`static WebdavKey` | `findKeyByWebdavName(java.lang.String sWebdavNamespace, java.lang.String sWebdavName)` Get a key based on a webdav id.
`static int` | `getCollabTypeFromWebdavType(java.lang.String sDataType)` Converts a WebDAV data type into a collab data type
`java.lang.String` | `getDataType()` Gets the WebDAV data type of this key.
`java.lang.String` | `getFullName()` Combines a webdav namespace and name together as a single strings
`int` | `getIntID()` Get the integer ID
`java.lang.String` | `getName()` Gets the WebDAV name.
`java.lang.String` | `getNamespace()` Gets the WebDAV namespace.
`int` | `getProptag()` Gets the Proptag.
`java.lang.String` | `toString()` Returns a string representation of the key

Methods inherited from class com.compoze.collab.Key
`combine, get, getID, getValueType, getValueTypeName, hashCode, isCalculated, isReadOnly, staticValueTypeName, updateDigest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_DAV

    public static java.lang.String NAMESPACE_DAV

  Represents the namespace "`DAV:`"

### NAMESPACE_HTTPMAIL

    public static java.lang.String NAMESPACE_HTTPMAIL

  Represents the namespace "`urn:schemas:httpmail:`"

### NAMESPACE_MAPI_PROPTAG

    public static java.lang.String NAMESPACE_MAPI_PROPTAG

  Represents the namespace "`http://schemas.microsoft.com/mapi/proptag/`"

### NAMESPACE_MAPI_ID

    public static java.lang.String NAMESPACE_MAPI_ID

  Represents the namespace "`http://schemas.microsoft.com/mapi/id/`"

### NAMESPACE_MAPI_STRING

    public static java.lang.String NAMESPACE_MAPI_STRING

  Represents the namespace "`http://schemas.microsoft.com/mapi/string/`"

### NAMESPACE_MAPI

    public static java.lang.String NAMESPACE_MAPI

  Represents the namespace "`http://schemas.microsoft.com/mapi/`"

### NAMESPACE_EXCHANGE

    public static java.lang.String NAMESPACE_EXCHANGE

  Represents the namespace "`http://schemas.microsoft.com/exchange/`"

### NAMESPACE_MAILHEADER

    public static java.lang.String NAMESPACE_MAILHEADER

  Represents the namespace "`urn:schemas:mailheader:`"

### NAMESPACE_CONTACTS

    public static java.lang.String NAMESPACE_CONTACTS

  Represents the namespace "`urn:schemas:contacts:`"

### NAMESPACE_CALENDAR

    public static java.lang.String NAMESPACE_CALENDAR

  Represents the namespace "`urn:schemas:calendar:`"

### NAMESPACE_XML

    public static java.lang.String NAMESPACE_XML

  Represents the namespace "`XML:`"

### NAMESPACE_REPL

    public static java.lang.String NAMESPACE_REPL

  Represents the namespace "`http://schemas.microsoft.com/repl/`"

### NAMESPACE_EXCHANGE_TASKS

    public static java.lang.String NAMESPACE_EXCHANGE_TASKS

  Represents the namespace "`http://schemas.microsoft.com/exchange/tasks/`"

### CONTACTS_GUID

    public static java.lang.String CONTACTS_GUID

  Represents the GUID for MAPI named properties used for contacts.

### TASKS_GUID

    public static java.lang.String TASKS_GUID

  Represents the GUID for MAPI named properties used for tasks.

### COMMON_GUID

    public static java.lang.String COMMON_GUID

  Represents the GUID for common MAPI named properties.

### APPOINTMENT_GUID

    public static java.lang.String APPOINTMENT_GUID

  Represents the GUID for MAPI named properties user for appointments.

### ATTACHMENT_FILENAME

    public static final WebdavKey ATTACHMENT_FILENAME

  This key is used to manipulate the `urn:schemas:httpmail:attachmentfilename` property for WebDAV attachments.

### CALENDAR

    public static final WebdavKey CALENDAR

  This key is used to manipulate the `urn:schemas:httpmail:calendar` property that retrieves the default Calendar folder from the root container.

### CONTACTS

    public static final WebdavKey CONTACTS

  This key is used to manipulate the `urn:schemas:httpmail:contacts` property that retrieves the default Contacts folder from the root container.

### CONTENT_CLASS

    public static final WebdavKey CONTENT_CLASS

  This key is used to manipulate the `DAV:contentclass` property for any WebDAV item.

### DELETED_ITEMS

    public static final WebdavKey DELETED_ITEMS

  This key is used to manipulate the `urn:schemas:httpmail:deleteditems` property that retrieves the default Deleted Items folder from the root container.

### DRAFTS

    public static final WebdavKey DRAFTS

  This key is used to manipulate the `urn:schemas:httpmail:drafts` property that retrieves the default Drafts folder from the root container.

### PR_FOLDER_CHILD_COUNT

    public static final WebdavKey PR_FOLDER_CHILD_COUNT

  Key that represents the MAPI property `PR_FOLDER_CHILD_COUNT` that represents the number of subfolders for a folder. This key is read-only.

### HAS_SUBS

    public static final WebdavKey HAS_SUBS

  Key representing the `DAV:hassubs` property that represents if a folder has subfolders. This key is read-only.

### HREF

    public static final WebdavKey HREF

  Key representing the `DAV:href` property that is used as an items ID.

### INBOX

    public static final WebdavKey INBOX

  This key is used to manipulate the `urn:schemas:httpmail:inbox` property that retrieves the default Inbox folder from the root container.

### OBJECT_COUNT

    public static final WebdavKey OBJECT_COUNT

  Key representing the `DAV:objectcount` property for returning the message count of a folder including hidden and non-hidden messages. This key is read-only.

### DISPLAY_NAME

    public static final WebdavKey DISPLAY_NAME

  Key representing the `DAV:displayname` property that can be used to get the display name of any WebDAV item. This can include the subject of a message or the name of a folder.

### VISIBLE_COUNT

    public static final WebdavKey VISIBLE_COUNT

  Key representing the `DAV:visiblecount` property that is used to get the number of visible messages in a folder. This key is read-only.

### HTML_DESCRIPTION

    public static final WebdavKey HTML_DESCRIPTION

  This key is used to manipulate the `urn:schemas:httpmail:htmldescription` that represents the HTML body of a WebDAV message.

### IS_FOLDER

    public static final WebdavKey IS_FOLDER

  This key is used to manipulate the `DAV:isfolder` property for any WebDAV item. This key is read-only.

### IS_HIDDEN

    public static final WebdavKey IS_HIDDEN

  This key is used to manipulate the `DAV:ishidden` property for any WebDAV item.

### JOURNAL

    public static final WebdavKey JOURNAL

  This key is used to manipulate the `urn:schemas:httpmail:journal` property that retrieves the default Journal folder from the root container.

### MAILHEADER_BCC

    public static final WebdavKey MAILHEADER_BCC

  This key is used to manipulate the `urn:schemas:mailheader:bcc` property for WebDAV items

### MAILHEADER_CC

    public static final WebdavKey MAILHEADER_CC

  This key is used to manipulate the `urn:schemas:mailheader:cc` property for WebDAV items

### MAILHEADER_FROM

    public static final WebdavKey MAILHEADER_FROM

  This key is used to manipulate the `urn:schemas:mailheader:from` property for WebDAV messages.

### MAILHEADER_TO

    public static final WebdavKey MAILHEADER_TO

  This key is used to manipulate the `urn:schemas:mailheader:to` property for WebDAV items

### BCC

    public static final WebdavKey BCC

  This key is used to manipulate the `urn:schemas:httpmail:bcc` property for a WebDAV message.

### TEXT_DESCRIPTION

    public static final WebdavKey TEXT_DESCRIPTION

  This key is used to manipulate the `urn:schemas:httpmail:textdescription` property that represents the body of a WebDAV message.

### CC

    public static final WebdavKey CC

  This key is used to manipulate the `urn:schemas:httpmail:cc` property for a WebDAV message.

### CREATION_DATE

    public static final WebdavKey CREATION_DATE

  This key is used to manipulate the `DAV:creationdate` property for any WebDAV item. This key is read-only.

### DATE_RECEIVED

    public static final WebdavKey DATE_RECEIVED

  This key is used to manipulate the `urn:schemas:httpmail:datereceived` property for WebDAV messages.

### DISPLAY_BCC

    public static final WebdavKey DISPLAY_BCC

  This key is used to manipulate the `urn:schemas:httpmail:displaybcc` property for WebDAV messages.

### DISPLAY_CC

    public static final WebdavKey DISPLAY_CC

  This key is used to manipulate the `urn:schemas:httpmail:displaycc` property for WebDAV messages.

### FROM_NAME

    public static final WebdavKey FROM_NAME

  This key is used to manipulate the `urn:schemas:httpmail:fromname` property for WebDAV messages.

### FROM

    public static final WebdavKey FROM

  This key is used to manipulate the `urn:schemas:httpmail:from` property for WebDAV messages.

### DISPLAY_TO

    public static final WebdavKey DISPLAY_TO

  This key is used to manipulate the `urn:schemas:httpmail:displayto` property for WebDAV messages.

### MESSAGE_FLAG

    public static final WebdavKey MESSAGE_FLAG

  This key is used to manipulate the `urn:schemas:httpmail:messageflag` property that represents the text associated with a message flag for a WebDAV message.

### FROM_EMAIL

    public static final WebdavKey FROM_EMAIL

  This key is used to manipulate the `urn:schemas:httpmail:fromemail` property for WebDAV messages. This key is read-only.

### HAS_ATTACHMENT

    public static final WebdavKey HAS_ATTACHMENT

  This key is used to manipulate the `urn:schemas:httpmail:hasattachment` property for WebDAV messages. This key is read-only.

### IMPORTANCE

    public static final WebdavKey IMPORTANCE

  This key is used to manipulate the `urn:schemas:httpmail:importance` property for WebDAV messages.

### X_PRIORITY_LONG

    public static final WebdavKey X_PRIORITY_LONG

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/x-priority-long"` property for WebDAV messages. This key is represents the importance of a message and is sometimes seen instead of `IMPORTANCE`, such as in the case of an embedded message and `FetchProfile.ALL`.

### NORMALIZED_SUBJECT

    public static final WebdavKey NORMALIZED_SUBJECT

  This key is used to manipulate the `urn:schemas:httpmail:normalizedsubject` property for WebDAV messages. This key is read-only.

### PRIORITY

    public static final WebdavKey PRIORITY

  This key is used to manipulate the `urn:schemas:httpmail:priority` property for WebDAV messages.

### SENDER

    public static final WebdavKey SENDER

  This key is used to manipulate the `urn:schemas:httpmail:sender` property for WebDAV messages. This key is read-only.

### SENDER_EMAIL

    public static final WebdavKey SENDER_EMAIL

  This key is used to manipulate the `urn:schemas:httpmail:senderemail` property for WebDAV messages. This key is read-only.

### SENDER_NAME

    public static final WebdavKey SENDER_NAME

  This key is used to manipulate the `urn:schemas:httpmail:sendername` property for WebDAV messages. This key is read-only.

### SENSITIVITY

    public static final WebdavKey SENSITIVITY

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/sensitivity` property for WebDAV messages.

### DATE

    public static final WebdavKey DATE

  This key is used to manipulate the `urn:schemas:httpmail:date` property that represents the date a WebDAV message was sent.

### SUBJECT

    public static final WebdavKey SUBJECT

  This key is used to manipulate the `urn:schemas:httpmail:subject` property for a WebDAV message.

### MAILHEADER_SUBJECT

    public static final WebdavKey MAILHEADER_SUBJECT

  This key is used to manipulate the `urn:schemas:mailheader:subject` property that represents the ASCII subject of a WebDAV message.

### TO

    public static final WebdavKey TO

  This key is used to manipulate the `urn:schemas:httpmail:to` property for a WebDAV message. This key is read-only.

### UNREAD

    public static final WebdavKey UNREAD

  This key is used to manipulate the (negated) `urn:schemas:httpmail:read` property for WebDAV messages.

### NOTES

    public static final WebdavKey NOTES

  This key is used to manipulate the `urn:schemas:httpmail:notes` property that retrieves the default Notes folder from the root container.

### OUTBOX

    public static final WebdavKey OUTBOX

  This key is used to manipulate the `urn:schemas:httpmail:outbox` property that retrieves the default Outbox folder from the root container.

### OUTLOOK_FOLDER_CLASS

    public static final WebdavKey OUTLOOK_FOLDER_CLASS

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/outlookfolderclass` property for WebDAV folders.

### OUTLOOK_MESSAGE_CLASS

    public static final WebdavKey OUTLOOK_MESSAGE_CLASS

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/outlookmessageclass` property for WebDAV messages

### PARENT_NAME

    public static final WebdavKey PARENT_NAME

  This key is used to manipulate the `DAV:parentname` property for WebDAV items This key is read-only.

### PERMANENT_URL

    public static final WebdavKey PERMANENT_URL

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/permanenturl` property for WebDAV items. This key is read-only.

### MID

    public static final WebdavKey MID

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/mid` property for WebDAV items. This key is read-only.

### DELIVERY_REPORT_REQUESTED

    public static final WebdavKey DELIVERY_REPORT_REQUESTED

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/deliveryreportrequested` property for WebDAV items.

### READ_RECEIPT_REQUESTED

    public static final WebdavKey READ_RECEIPT_REQUESTED

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/readreceiptrequested` property for WebDAV items.

### REPL_UID

    public static final WebdavKey REPL_UID

  This key is used to manipulate the `http://schemas.microsoft.com/repl/repl-uid` property for WebDAV items. This key is read-only.

### RESOURCE_TAG

    public static final WebdavKey RESOURCE_TAG

  This key is used to manipulate the `http://schemas.microsoft.com/repl/resourcetag` property for WebDAV items. This key is read-only.

### REPLY_TO

    public static final WebdavKey REPLY_TO

  This key is used to manipulate the `urn:schemas:httpmail:reply-to` property for WebDAV messages.

### ROOT_MAILBOX

    public static final WebdavKey ROOT_MAILBOX

  This key is used to manipulate the `urn:schemas:httpmail:msgfolderroot` property that retrieves the default root mailbox from the store.

### SENT_ITEMS

    public static final WebdavKey SENT_ITEMS

  This key is used to manipulate the `urn:schemas:httpmail:sentitems` property that retrieves the default Sent Items folder from the root container.

### SUBMISSION_URI

    public static final WebdavKey SUBMISSION_URI

  This key is used to manipulate the `urn:schemas:httpmail:sendmsg` property that retrieves the DAV MAIL SUBMISSION URI.

### TASKS

    public static final WebdavKey TASKS

  This key is used to manipulate the `urn:schemas:httpmail:tasks` property that retrieves the default Tasks folder from the root container.

### MILEAGE

    public static final WebdavKey MILEAGE

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/mileage` property for Exchange items.

### BILLING

    public static final WebdavKey BILLING

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/billing` property for WebDAV tasks.

### GET_CONTENT_LENGTH

    public static final WebdavKey GET_CONTENT_LENGTH

  This key is used to read the `DAV:getcontentlength` property for any WebDAV item. This key is read-only.

### GET_CONTENT_TYPE

    public static final WebdavKey GET_CONTENT_TYPE

  This key is used to read the `DAV:getcontenttype` property for any WebDAV item. This key is read-only.

### GET_E_TAG

    public static final WebdavKey GET_E_TAG

  This key is used to read the `DAV:getetag` property for any WebDAV item. This key is read-only.

### GET_LAST_MODIFIED

    public static final WebdavKey GET_LAST_MODIFIED

  This key is used to read the `DAV:getlastmodified` property for any WebDAV item. This key is read-only.

### ID

    public static final WebdavKey ID

  This key is used to read the `DAV:id` property for any WebDAV item. This key is read-only.

### IS_COLLECTION

    public static final WebdavKey IS_COLLECTION

  This key is used to read the `DAV:iscollection` property for any WebDAV item. This key is read-only.

### IS_READ_ONLY

    public static final WebdavKey IS_READ_ONLY

  This key is used to read the `DAV:isreadonly` property for any WebDAV item. This key is read-only.

### IS_STRUCTURED_DOCUMENT

    public static final WebdavKey IS_STRUCTURED_DOCUMENT

  This key is used to read the `DAV:isstructureddocument` property for any WebDAV item. This key is read-only.

### RESOURCE_TYPE

    public static final WebdavKey RESOURCE_TYPE

  This key is used to read the `DAV:resourcetype` property for any WebDAV item. This key is read-only. This key is not searchable.

### UID

    public static final WebdavKey UID

  This key is used to read the `DAV:uid` property for any WebDAV item. This key is read-only. This key is not searchable.

### EXT_ATTR_1

    public static final WebdavKey EXT_ATTR_1

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute1` property that represents a user defined attribute of a contact.

### EXT_ATTR_2

    public static final WebdavKey EXT_ATTR_2

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute2` property that represents a user defined attribute of a contact.

### EXT_ATTR_3

    public static final WebdavKey EXT_ATTR_3

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute3` property that represents a user defined attribute of a contact.

### EXT_ATTR_4

    public static final WebdavKey EXT_ATTR_4

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/extensionattribute4` property that represents a user defined attribute of a contact.

### GENDER

    public static final WebdavKey GENDER

  This key is used to manipulate the `urn:schemas:contacts:gender` property that represents the gender of a contact.

### ACCOUNT

    public static final WebdavKey ACCOUNT

  This key is used to manipulate the `urn:schemas:contacts:account` property that represents the account number of a contact.

### BDAY

    public static final WebdavKey BDAY

  This key is used to manipulate the `urn:schemas:contacts:bday` property that represents the birthday of a contact.

### BILLING_INFORMATION

    public static final WebdavKey BILLING_INFORMATION

  This key is used to manipulate the `urn:schemas:contacts:billinginformation` property that represents the billing information of a contact.

### BUSINESS_HOMEPAGE

    public static final WebdavKey BUSINESS_HOMEPAGE

  This key is used to manipulate the `urn:schemas:contacts:businesshomepage` property that represents the url of a contact's business website.

### C

    public static final WebdavKey C

  This key is used to manipulate the `urn:schemas:contacts:c` property that represents the country/region code of a contact.

### CALLBACK_PHONE

    public static final WebdavKey CALLBACK_PHONE

  This key is used to manipulate the `urn:schemas:contacts:callbackphone` property that represents the phone number of a contact.

### CHILDRENS_NAMES

    public static final WebdavKey CHILDRENS_NAMES

  This key is used to manipulate the `urn:schemas:contacts:childrensnames` property that represents the names of each child of a contact.

### CN

    public static final WebdavKey CN

  This key is used to manipulate the `urn:schemas:contacts:cn` property that represents the common name (or friendly name) of a contact.

### CO

    public static final WebdavKey CO

  This key is used to manipulate the `urn:schemas:contacts:co` property that represents the country or region of employment for a contact.

### COMPUTER_NETWORK_NAME

    public static final WebdavKey COMPUTER_NETWORK_NAME

  This key is used to manipulate the `urn:schemas:contacts:computernetworkname` property that represents the internet/intranet name of a contact.

### CUSTOMER_ID

    public static final WebdavKey CUSTOMER_ID

  This key is used to manipulate the `urn:schemas:contacts:customerid` property that represents the customer ID of a contact.

### DEPARTMENT

    public static final WebdavKey DEPARTMENT

  This key is used to manipulate the `urn:schemas:contacts:department` property that represents the department of employment for a contact.

### DN

    public static final WebdavKey DN

  This key is used to manipulate the `urn:schemas:contacts:dn` property that represents the fully distinguished X.500 name of a contact.

### EMAIL1

    public static final WebdavKey EMAIL1

  This key is used to manipulate the `urn:schemas:contacts:email1` property that represents the fully qualified primary smtp email address of a contact.

### EMAIL2

    public static final WebdavKey EMAIL2

  This key is used to manipulate the `urn:schemas:contacts:email2` property that represents the fully qualified secondary smtp email address of a contact.

### EMPLOYEE_NUMBER

    public static final WebdavKey EMPLOYEE_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:employeenumber` property that represents the employee number of a contact.

### FACSIMILE_NUMBER

    public static final WebdavKey FACSIMILE_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:facsimiletelephonenumber` property that represents the fax number of a contact.

### FILE_AS

    public static final WebdavKey FILE_AS

  This key is used to manipulate the `urn:schemas:contacts:fileas` property that represents the string that is used to display this contact.

### FILE_AS_ID

    public static final WebdavKey FILE_AS_ID

  This key is used to manipulate the `urn:schemas:contacts:fileasid` property that represents the integer enumeration value that is used to display this contact.

### FTP_SITE

    public static final WebdavKey FTP_SITE

  This key is used to manipulate the `urn:schemas:contacts:ftpsite` property that represents the File Transfer Protocol (FTP) site for a contact.

### GIVEN_NAME

    public static final WebdavKey GIVEN_NAME

  This key is used to manipulate the `urn:schemas:contacts:givenName` property that represents the given, or first name, of a contact.

### HOBBIES

    public static final WebdavKey HOBBIES

  This key is used to manipulate the `urn:schemas:contacts:hobbies` property that represents the hobbies of a contact.

### HOME_CITY

    public static final WebdavKey HOME_CITY

  This key is used to manipulate the `urn:schemas:contacts:homeCity` property that represents the home city of a contact.

### HOME_COUNTRY

    public static final WebdavKey HOME_COUNTRY

  This key is used to manipulate the `urn:schemas:contacts:homeCountry` property that represents the home country of a contact.

### HOME_FAX

    public static final WebdavKey HOME_FAX

  This key is used to manipulate the `urn:schemas:contacts:homefax` property that represents the home fax number of a contact.

### HOME_LATITUDE

    public static final WebdavKey HOME_LATITUDE

  This key is used to manipulate the `urn:schemas:contacts:homelatitude` property that represents the latitude of the home for a contact.

### HOME_LONGITUDE

    public static final WebdavKey HOME_LONGITUDE

  This key is used to manipulate the `urn:schemas:contacts:homelongitude` property that represents the longitude of the home for a contact.

### HOME_PHONE

    public static final WebdavKey HOME_PHONE

  This key is used to manipulate the `urn:schemas:contacts:homePhone` property that represents the home phone number of a contact.

### HOME_PHONE2

    public static final WebdavKey HOME_PHONE2

  This key is used to manipulate the `urn:schemas:contacts:homepostaladdress` property that represents the secondary home phone number of a contact.

### HOME_POSTAL_ADDRESS

    public static final WebdavKey HOME_POSTAL_ADDRESS

  This key is used to manipulate the `urn:schemas:contacts:homepostaladdress` property that represents the home postal address of a contact.

### HOME_POSTAL_CODE

    public static final WebdavKey HOME_POSTAL_CODE

  This key is used to manipulate the `urn:schemas:contacts:homePostalCode` property that represents the home postal code of a contact.

### HOME_POST_OFFICE_BOX

    public static final WebdavKey HOME_POST_OFFICE_BOX

  This key is used to manipulate the `urn:schemas:contacts:homepostofficebox` property that represents the home post office box of a contact.

### HOME_STATE

    public static final WebdavKey HOME_STATE

  This key is used to manipulate the `urn:schemas:contacts:homeState` property that represents the home state of a contact.

### HOME_STREET

    public static final WebdavKey HOME_STREET

  This key is used to manipulate the `urn:schemas:contacts:homeStreet` property that represents the home street of a contact.

### HOME_TIMEZONE

    public static final WebdavKey HOME_TIMEZONE

  This key is used to manipulate the `urn:schemas:contacts:hometimezone` property that represents the home timezone of a contact.

### INITIALS

    public static final WebdavKey INITIALS

  This key is used to manipulate the `urn:schemas:contacts:initials` property that represents initials for a contact.

### INTERNATIONAL_ISDN_NUMBER

    public static final WebdavKey INTERNATIONAL_ISDN_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:internationalisdnnumber` property that represents ISDN number for a contact.

### L

    public static final WebdavKey L

  This key is used to manipulate the `urn:schemas:contacts:l` property that represents city of a contact.

### LANGUAGE

    public static final WebdavKey LANGUAGE

  This key is used to manipulate the `urn:schemas:contacts:language` property that represents ISO639 language of a contact.

### LOCATION

    public static final WebdavKey LOCATION

  This key is used to manipulate the `urn:schemas:contacts:location` property that represents the location of a contact.

### MAILING_ADDRESS_ID

    public static final WebdavKey MAILING_ADDRESS_ID

  This key is used to manipulate the `urn:schemas:contacts:mailingaddressid` property that represents the integer that specifies how a contact's mailing address should be formatted. This key also represents the named property: `http://schemas.microsoft.com/mapi/id/{00062004-0000-0000-C000-000000000046}/0x00008022`

### MAILING_CITY

    public static final WebdavKey MAILING_CITY

  This key is used to manipulate the `urn:schemas:contacts:mailingcity` property that represents the city portion of a contact's mailing address.

### MAILING_COUNTRY

    public static final WebdavKey MAILING_COUNTRY

  This key is used to manipulate the `urn:schemas:contacts:mailingcountry` property that represents the country/region portion of a contact's mailing address.

### MAILING_POSTAL_ADDRESS

    public static final WebdavKey MAILING_POSTAL_ADDRESS

  This key is used to manipulate the `urn:schemas:contacts:mailingpostaladdress` property that represents the postal address portion of a contact's mailing address. This property is read-only.

### MAILING_POSTAL_CODE

    public static final WebdavKey MAILING_POSTAL_CODE

  This key is used to manipulate the `urn:schemas:contacts:mailingpostalcode` property that represents the postal code portion of a contact's mailing address.

### MAILING_POST_OFFICE_BOX

    public static final WebdavKey MAILING_POST_OFFICE_BOX

  This key is used to manipulate the `urn:schemas:contacts:mailingpostofficebox` property that represents the post office box portion of a contact's mailing address.

### MAILING_STATE

    public static final WebdavKey MAILING_STATE

  This key is used to manipulate the `urn:schemas:contacts:mailingstate` property that represents the state portion of a contact's mailing address. This property is read-only.

### MAILING_STREET

    public static final WebdavKey MAILING_STREET

  This key is used to manipulate the `urn:schemas:contacts:mailingstreet` property that represents the street portion of a contact's mailing address. This key is read-only.

### MANAGER

    public static final WebdavKey MANAGER

  This key is used to manipulate the `urn:schemas:contacts:manager` property that represents the distinguished name of the manager for a contact.

### MIDDLE_NAME

    public static final WebdavKey MIDDLE_NAME

  This key is used to manipulate the `urn:schemas:contacts:middlename` property that represents the middle name of a contact.

### MOBILE

    public static final WebdavKey MOBILE

  This key is used to manipulate the `urn:schemas:contacts:mobile` property that represents the mobile telephone number of a contact.

### NAME_SUFFIX

    public static final WebdavKey NAME_SUFFIX

  This key is used to manipulate the `urn:schemas:contacts:namesuffix` property that represents the generation qualifier of a contact.

### NICKNAME

    public static final WebdavKey NICKNAME

  This key is used to manipulate the `urn:schemas:contacts:nickname` property that represents the nickname for a contact.

### O

    public static final WebdavKey O

  This key is used to manipulate the `urn:schemas:contacts:o` property that represents contact's organization name.

### OFFICE2_TELEPHONE_NUMBER

    public static final WebdavKey OFFICE2_TELEPHONE_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:office2telephonenumber` property that represents secondary office telephone number for a contact.

### OFFICE_TELEPHONE_NUMBER

    public static final WebdavKey OFFICE_TELEPHONE_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:officetelephonenumber` property that represents primary office telephone number for a contact.

### ORGANIZATION_MAIN_PHONE

    public static final WebdavKey ORGANIZATION_MAIN_PHONE

  This key is used to manipulate the `urn:schemas:contacts:organizationmainphone` property that represents primary telephone number for an organization/contact.

### OTHER_CITY

    public static final WebdavKey OTHER_CITY

  This key is used to manipulate the `urn:schemas:contacts:othercity` property that represents the city portion of a contact's alternative address.

### OTHER_COUNTRY

    public static final WebdavKey OTHER_COUNTRY

  This key is used to manipulate the `urn:schemas:contacts:othercountry` property that represents the country/region portion of a contact's alternative address.

### OTHER_COUNTRY_CODE

    public static final WebdavKey OTHER_COUNTRY_CODE

  This key is used to manipulate the `urn:schemas:contacts:othercountrycode` property that represents the 2-character representation of a contact's alternative country.

### OTHER_FAX

    public static final WebdavKey OTHER_FAX

  This key is used to manipulate the `urn:schemas:contacts:otherfax` property that represents the alternative fax number for a contact.

### OTHER_MOBILE

    public static final WebdavKey OTHER_MOBILE

  This key is used to manipulate the `urn:schemas:contacts:othermobile` property that represents the alternative mobile telephone number for a contact.

### OTHER_PAGER

    public static final WebdavKey OTHER_PAGER

  This key is used to manipulate the `urn:schemas:contacts:otherpager` property that represents the alternative pager number for a contact.

### OTHER_POSTAL_ADDRESS

    public static final WebdavKey OTHER_POSTAL_ADDRESS

  This key is used to manipulate the `urn:schemas:contacts:otherpostaladdress` property that represents the postal address portion of a contact's alternative address.

### OTHER_POSTAL_CODE

    public static final WebdavKey OTHER_POSTAL_CODE

  This key is used to manipulate the `urn:schemas:contacts:otherpostalcode` property that represents the postal code portion of a contact's alternative address.

### OTHER_POST_OFFICE_BOX

    public static final WebdavKey OTHER_POST_OFFICE_BOX

  This key is used to manipulate the `urn:schemas:contacts:otherpostofficebox` property that represents the post office box portion of a contact's alternative address.

### OTHER_STATE

    public static final WebdavKey OTHER_STATE

  This key is used to manipulate the `urn:schemas:contacts:otherstate` property that represents the state portion of a contact's alternative address.

### OTHER_STREET

    public static final WebdavKey OTHER_STREET

  This key is used to manipulate the `urn:schemas:contacts:otherstreet` property that represents the street portion of a contact's alternative address.

### OTHER_TELEPHONE

    public static final WebdavKey OTHER_TELEPHONE

  This key is used to manipulate the `urn:schemas:contacts:otherTelephone` property that represents the alternative work telephone of a contact.

### OTHER_TIMEZONE

    public static final WebdavKey OTHER_TIMEZONE

  This key is used to manipulate the `urn:schemas:contacts:othertimezone` property that represents the alternative work timezone of a contact.

### PAGER

    public static final WebdavKey PAGER

  This key is used to manipulate the `urn:schemas:contacts:pager` property that represents the work pager number of a contact.

### PERSONAL_HOMEPAGE

    public static final WebdavKey PERSONAL_HOMEPAGE

  This key is used to manipulate the `urn:schemas:contacts:personalHomePage` property that represents the personal website of a contact.

### PERSONAL_TITLE

    public static final WebdavKey PERSONAL_TITLE

  This key is used to manipulate the `urn:schemas:contacts:personaltitle` property that represents the personal name prefix of a contact.

### POSTAL_CODE

    public static final WebdavKey POSTAL_CODE

  This key is used to manipulate the `urn:schemas:contacts:postalcode` property that represents the work postal code for a contact.

### POST_OFFICE_BOX

    public static final WebdavKey POST_OFFICE_BOX

  This key is used to manipulate the `urn:schemas:contacts:postofficebox` property that represents the work post office box for a contact.

### PROFESSION

    public static final WebdavKey PROFESSION

  This key is used to manipulate the `urn:schemas:contacts:profession` property that represents profession of a contact.

### PROXY_ADDRESSES

    public static final WebdavKey PROXY_ADDRESSES

  This key is used to manipulate the `urn:schemas:contacts:proxyaddresses` property that represents client email addresses of a contact.

### REFERRED_BY

    public static final WebdavKey REFERRED_BY

  This key is used to manipulate the `urn:schemas:contacts:referredby` property that represents the name of a person who referred a contact.

### ROOM_NUMBER

    public static final WebdavKey ROOM_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:roomnumber` property that represents the room number for a contact.

### SECRETARY

    public static final WebdavKey SECRETARY

  This key is used to manipulate the `urn:schemas:contacts:secretary` property that represents the full name of the secretary for a contact.

### SECRETARY_CN

    public static final WebdavKey SECRETARY_CN

  This key is used to manipulate the `urn:schemas:contacts:secretarycn` property that represents the common, or friendly, name of the secretary for a contact.

### SECRETARY_PHONE

    public static final WebdavKey SECRETARY_PHONE

  This key is used to manipulate the `urn:schemas:contacts:secretaryphone` property that represents the telephone number of the secretary for a contact.

### SECRETARY_URL

    public static final WebdavKey SECRETARY_URL

  This key is used to manipulate the `urn:schemas:contacts:secretaryurl` property that represents the website url of the secretary for a contact.

### SN

    public static final WebdavKey SN

  This key is used to manipulate the `urn:schemas:contacts:sn` property that represents the surname, or lastname, of a contact.

### SOURCE_URL

    public static final WebdavKey SOURCE_URL

  This key is used to manipulate the `urn:schemas:contacts:sourceurl` property that represents the source to the website URL for a contact.

### SPOUSE_CN

    public static final WebdavKey SPOUSE_CN

  This key is used to manipulate the `urn:schemas:contacts:spousecn` property that represents the common, or friendly name, for the spouse of a contact.

### ST

    public static final WebdavKey ST

  This key is used to manipulate the `urn:schemas:contacts:st` property that represents the work state for a contact.

### STREET

    public static final WebdavKey STREET

  This key is used to manipulate the `urn:schemas:contacts:street` property that represents the work street for a contact.

### SUBMISSION_CONT_LENGTH

    public static final WebdavKey SUBMISSION_CONT_LENGTH

  This key is used to manipulate the `urn:schemas:contacts:submissioncontlength` property that represents the maximum length, in KB, of a message that can be sent to a contact.

### TELEPHONE_NUMBER

    public static final WebdavKey TELEPHONE_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:telephoneNumber` property that represents the primary work telephone number of a contact.

### TELEPHONE_NUMBER2

    public static final WebdavKey TELEPHONE_NUMBER2

  This key is used to manipulate the `urn:schemas:contacts:telephonenumber2` property that represents the secondary work telephone number of a contact.

### TELEX_NUMBER

    public static final WebdavKey TELEX_NUMBER

  This key is used to manipulate the `urn:schemas:contacts:telexnumber` property that represents the telex number of a contact.

### TITLE

    public static final WebdavKey TITLE

  This key is used to manipulate the `urn:schemas:contacts:title` property that represents the work title or position of a contact.

### TTYTDD_PHONE

    public static final WebdavKey TTYTDD_PHONE

  This key is used to manipulate the `urn:schemas:contacts:ttytddphone` property that represents the ttytdd phone number of a contact.

### USER_CERTIFICATE

    public static final WebdavKey USER_CERTIFICATE

  This key is used to manipulate the `urn:schemas:contacts:usercertificate` property that represents certificate used to authenticate a contact.

### WEDDING_ANNIVERSARY

    public static final WebdavKey WEDDING_ANNIVERSARY

  This key is used to manipulate the `urn:schemas:contacts:usercertificate` property that represents the wedding anniversary of a contact.

### WORK_ADDRESS

    public static final WebdavKey WORK_ADDRESS

  This key is used to manipulate the `urn:schemas:contacts:workaddress` property that represents the work address for a contact.

### EMAIL1_ADDRESS

    public static final WebdavKey EMAIL1_ADDRESS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email1emailaddress` property that represents the primary SMTP email address for a contact. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8083`.

### EMAIL1_ADDRESS_TYPE

    public static final WebdavKey EMAIL1_ADDRESS_TYPE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email1addrtype` property that represents the primary email address type for a contact. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8082`.

### EMAIL1_DISPLAY_NAME

    public static final WebdavKey EMAIL1_DISPLAY_NAME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email1originaldisplayname` property that represents the display name for a contact's primary email address. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8084`.

### EMAIL2_ADDRESS

    public static final WebdavKey EMAIL2_ADDRESS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email2emailaddress` property that represents the secondary SMTP email address for a contact. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8092`.

### EMAIL2_ADDRESS_TYPE

    public static final WebdavKey EMAIL2_ADDRESS_TYPE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email2addrtype` property that represents the secondary email address type for a contact. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8093`.

### EMAIL2_DISPLAY_NAME

    public static final WebdavKey EMAIL2_DISPLAY_NAME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email2originaldisplayname` property that represents the display name for a contact's secondary email address. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8094`.

### EMAIL3_ADDRESS

    public static final WebdavKey EMAIL3_ADDRESS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email3emailaddress` property that represents the third SMTP email address for a contact. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8092`.

### EMAIL3_ADDRESS_TYPE

    public static final WebdavKey EMAIL3_ADDRESS_TYPE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email3addrtype` property that represents the third email address type for a contact. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8093`.

### EMAIL3_DISPLAY_NAME

    public static final WebdavKey EMAIL3_DISPLAY_NAME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/email3originaldisplayname` property that represents thedisplay name for a contact's third email address. This key can also be referenced by `{00062004-0000-0000-C000-000000000046}/x8094`.

### IM_ADDRESS

    public static final WebdavKey IM_ADDRESS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062004-0000-0000-C000-000000000046}/0x00008062` property that represents the IM address of a contact.

### ACTUAL_WORK

    public static final WebdavKey ACTUAL_WORK

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008110` MAPI property that represents the actual work, in minutes, of a task.

### DATE_COMPLETED

    public static final WebdavKey DATE_COMPLETED

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x0000810F` MAPI property that represents the date a task was completed.

### DUE_DATE

    public static final WebdavKey DUE_DATE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008105` MAPI property that represents the date a task is due.

### IS_COMPLETE

    public static final WebdavKey IS_COMPLETE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x0000811C` MAPI property that represents whether a task has been marked as complete.

### IS_TEAM_TASK

    public static final WebdavKey IS_TEAM_TASK

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008103` MAPI property that represents if a task has been delegated to at least 2 recipients.

### PERCENT_COMPLETE

    public static final WebdavKey PERCENT_COMPLETE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008102` MAPI property that represents the percent complete of a task.

### TASK_RECURRENCE_PATTERN

    public static final WebdavKey TASK_RECURRENCE_PATTERN

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008116` MAPI property that represents the binary value of a task's recurrence pattern.

### TASK_REMINDER_TIME

    public static final WebdavKey TASK_REMINDER_TIME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/remindertime` the represents the reminder date of a task. This key can also be referenced by `http://schemas.microsoft.com/mapi/id/{00062008-0000-0000-C000-000000000046}/0x00008502`.

### TOTAL_WORK

    public static final WebdavKey TOTAL_WORK

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008111` MAPI property that represents the total work, in minutes, of a task.

### IS_RECURRING

    public static final WebdavKey IS_RECURRING

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008126` MAPI property that represents if a task is recurring.

### START_DATE

    public static final WebdavKey START_DATE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008104` MAPI property that represents the start date of a task.

### TASK_STATUS

    public static final WebdavKey TASK_STATUS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008101` MAPI property that represents the current status of a task.

### REQUEST_ASSOCIATED_TASK

    public static final WebdavKey REQUEST_ASSOCIATED_TASK

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/taskglobalobjid` property represents the associated task for a task request. This key also represents the named property: `http://schemas.microsoft.com/mapi/id/{00062008-0000-0000-C000-000000000046}/0x00008519`

### MAPI_SUBJECT

    public static final WebdavKey MAPI_SUBJECT

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/subject` property that represents the subject of a task.

### COMPANIES

    public static final WebdavKey COMPANIES

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/companies` MAPI property that represents the companies field of a task.

### TASK_MODE

    public static final WebdavKey TASK_MODE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/taskmode` that represents if a task notice is an accept, update, or decline. This key can also be referenced by `{00062008-0000-0000-C000-000000000046}/x8518`.

### TASK_DELEGATOR

    public static final WebdavKey TASK_DELEGATOR

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008121` MAPI property that represents the delegator of a task

### TASK_OWNER

    public static final WebdavKey TASK_OWNER

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x0000811F` MAPI property that represents the owner of a task

### CONTACT_NAMES

    public static final WebdavKey CONTACT_NAMES

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062008-0000-0000-C000-000000000046}/0x0000853A` MAPI property that represents the contacts of a WebDAV item.

### SAVE_IN_SENT

    public static final WebdavKey SAVE_IN_SENT

  This key is used to manipulate the `urn:schemas:httpmail:saveinsent` property that specifies how a message is saved when it is sent.

### SAVE_DESTINATION

    public static final WebdavKey SAVE_DESTINATION

  This key is used to manipulate the `urn:schemas:httpmail:savedestination` property that specifies where to save a message after it is sent.

### ACTUAL_EFFORT

    public static final WebdavKey ACTUAL_EFFORT

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/actualeffort` property that represents the actual work, in minutes, of a task. This is only an Exchange 2003 key.

  See Also:
    `ACTUAL_WORK`

### DT_DUE

    public static final WebdavKey DT_DUE

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/dtdue` property that represents the date a task is due. This is only an Exchange 2003 key.

  See Also:
    `DUE_DATE`

### DT_START_TASK

    public static final WebdavKey DT_START_TASK

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/dtstart` property that represents the date a task starts. This is only an Exchange 2003 key.

  See Also:
    `START_DATE`

### IS_RECURRING_2K3

    public static final WebdavKey IS_RECURRING_2K3

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/is_recurring` property that represents if a task is recurring. This is only an Exchange 2003 key.

  See Also:
    `IS_RECURRING`

### IS_COMPLETE_2K3

    public static final WebdavKey IS_COMPLETE_2K3

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/is_complete` property that represents whether a task has been marked as complete. This is only an Exchange 2003 key.

  See Also:
    `IS_COMPLETE`

### ESTIMATED_EFFORT

    public static final WebdavKey ESTIMATED_EFFORT

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/estimatedeffort` property that represents the total work (estimate), in minutes, of a task. This is only an Exchange 2003 key.

  See Also:
    `TOTAL_WORK`

### PERCENT_COMPLETE_2K3

    public static final WebdavKey PERCENT_COMPLETE_2K3

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/percentcomplete` property that represents the percent complete of a task. This is only an Exchange 2003 key.

  See Also:
    `PERCENT_COMPLETE`

### TEAM_TASK

    public static final WebdavKey TEAM_TASK

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/teamtask` property that represents if a task has been delegated to at least 2 recipients. This is only an Exchange 2003 key.

  See Also:
    `IS_TEAM_TASK`

### TASK_RECUR

    public static final WebdavKey TASK_RECUR

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/taskrecur` property that represents the binary value of a task's recurrence pattern. This is only an Exchange 2003 key.

  See Also:
    `TASK_RECURRENCE_PATTERN`

### OWNER

    public static final WebdavKey OWNER

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/owner` property that represents the owner of a task. This is only an Exchange 2003 key.

  See Also:
    `TASK_OWNER`

### DATE_COMPLETED_2K3

    public static final WebdavKey DATE_COMPLETED_2K3

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/datecompleted` property that represents the date a task was completed. This is only an Exchange 2003 key.

  See Also:
    `DATE_COMPLETED`

### DELEGATOR

    public static final WebdavKey DELEGATOR

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/delegator` property that represents the delegator of a task. This is only an Exchange 2003 key.

  See Also:
    `TASK_DELEGATOR`

### TASK_STATUS_2K3

    public static final WebdavKey TASK_STATUS_2K3

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/tasks/status` property that represents the current status of a task. This is only an Exchange 2003 key.

  See Also:
    `TASK_STATUS`

### ALL_DAY_EVENT

    public static final WebdavKey ALL_DAY_EVENT

  This key is used to manipulate the `urn:schemas:calendar:alldayevent` property that represents whether an appointment is an All Day Event.

### ATTENDEE_ROLE

    public static final WebdavKey ATTENDEE_ROLE

  This key is used to manipulate the `urn:schemas:calendar:attendeerole` property that represents the role of an attendee to a meeting.

### ATTENDEE_STATUS

    public static final WebdavKey ATTENDEE_STATUS

  This key is used to manipulate the `urn:schemas:calendar:attendeestatus` property that represents the status of an attendee to a meeting.

### BUSY_STATUS

    public static final WebdavKey BUSY_STATUS

  This key is used to manipulate the `urn:schemas:calendar:busystatus` property that represents the free/busy information of an attendee at a particular time.

### CONTACT

    public static final WebdavKey CONTACT

  This key is used to manipulate the `urn:schemas:calendar:contact` property that represents the name of a contact who is the attendee of a meeting.

### CONTACT_URL

    public static final WebdavKey CONTACT_URL

  This key is used to manipulate the `urn:schemas:calendar:contacturl` property that represents the URL where information about the contact for a meeting can be found.

### CREATED

    public static final WebdavKey CREATED

  This key is used to manipulate the `urn:schemas:calendar:created` property that represents date and time when an appointment was created.

### DESCRIPTION_URL

    public static final WebdavKey DESCRIPTION_URL

  This key is used to manipulate the `urn:schemas:calendar:descriptionurl` property that represents the URL that contains the description of a meeting or appointment.

### DT_END

    public static final WebdavKey DT_END

  This key is used to manipulate the `urn:schemas:calendar:dtend` property that represents the date and time that an appointment or meeting ends.

### DT_STAMP

    public static final WebdavKey DT_STAMP

  This key is used to manipulate the `urn:schemas:calendar:dtstamp` property that represents the date and time that an iCalendar object was created by CDO.

### DT_START

    public static final WebdavKey DT_START

  This key is used to manipulate the `urn:schemas:calendar:dtstart` property that represents the date and time that an appointment or meeting starts.

### DURATION

    public static final WebdavKey DURATION

  This key is used to manipulate the `urn:schemas:calendar:duration` property that represents the duration, in seconds, of an appointment or meeting.

### EX_DATE

    public static final WebdavKey EX_DATE

  This key is used to manipulate the `urn:schemas:calendar:exdate` property that represents the dates, as WebDAV dateTime strings, that are exceptions to an appointment or meeting.

### EX_RULE

    public static final WebdavKey EX_RULE

  This key is used to manipulate the `urn:schemas:calendar:exrule` property that represents the RRULE string that is an exception recurrence rule to an appointment or meeting.

### FB_URL

    public static final WebdavKey FB_URL

  This key is used to manipulate the `urn:schemas:calendar:fburl` property that represents the URL to the public folder free/busy information.

### GEOLATITUDE

    public static final WebdavKey GEOLATITUDE

  This key is used to manipulate the `urn:schemas:calendar:geolatitude` property that represents the latitude coordinates of an appointment or meeting.

### GEOLONGITUDE

    public static final WebdavKey GEOLONGITUDE

  This key is used to manipulate the `urn:schemas:calendar:geolongitude` property that represents the longitude coordinates of an appointment or meeting.

### INSTANCE_TYPE

    public static final WebdavKey INSTANCE_TYPE

  This key is used to manipulate the `urn:schemas:calendar:instancetype` property that represents if this appointment is an instance, single, master, or exception.

### IS_ORGANIZER

    public static final WebdavKey IS_ORGANIZER

  This key is used to manipulate the `urn:schemas:calendar:isorganizer` property that represents if an attendee is the organizer of an appointment or meeting.

### LAST_MODIFIED_TIME

    public static final WebdavKey LAST_MODIFIED_TIME

  This key is used to manipulate the `urn:schemas:calendar:lastmodifiedtime` property that represents the last time a WebDAV item was modified. This key is read-only.

### LAST_MODIFIED

    public static final WebdavKey LAST_MODIFIED

  This key is used to manipulate the `urn:schemas:calendar:lastmodified` property that represents the string value of when an appointment was last modified.

### APPT_LOCATION

    public static final WebdavKey APPT_LOCATION

  This key is used to manipulate the `urn:schemas:calendar:location` property that represents the location of an appointment or meeting.

### LOCATION_URL

    public static final WebdavKey LOCATION_URL

  This key is used to manipulate the `urn:schemas:calendar:locationurl` property that represents the URL of where appointment information can be accessed.

### MEETING_STATUS

    public static final WebdavKey MEETING_STATUS

  This key is used to manipulate the `urn:schemas:calendar:meetingstatus` property that represents the status of an appointment or meeting as a string.

### METHOD

    public static final WebdavKey METHOD

  This key is used to manipulate the `urn:schemas:calendar:method` property that represents the method associated with the CDO appointment object.

### ORGANIZER

    public static final WebdavKey ORGANIZER

  This key is used to manipulate the `urn:schemas:calendar:organizer` property that represents the SMTP email address of the organizer for an appointment or meeting.

### PROD_ID

    public static final WebdavKey PROD_ID

  This key is used to manipulate the `urn:schemas:calendar:organizer` property that represents the ID of the product that created the CDO iCalendar.

### RDATE

    public static final WebdavKey RDATE

  This key is used to manipulate the `urn:schemas:calendar:rdate` property that represents the instances, in dateTime.tz format, of a recurring appointment or meeting.

### RECURRENCE_ID

    public static final WebdavKey RECURRENCE_ID

  This key is used to manipulate the `urn:schemas:calendar:recurrenceid` property that represents the ID of an instance of a recurring appointment in dateTime.tz format.

### RECURRENCE_ID_RANGE

    public static final WebdavKey RECURRENCE_ID_RANGE

  This key is used to manipulate the `urn:schemas:calendar:recurrenceidrange` property that represents the range of IDs in the `urn:schemas:calendar:recurrenceid` field.

### REMINDER_NEXT_TIME

    public static final WebdavKey REMINDER_NEXT_TIME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/remindernexttime` property.

### REMINDER_OFFSET

    public static final WebdavKey REMINDER_OFFSET

  This key is used to manipulate the `urn:schemas:calendar:reminderoffset` property that represents the amount of time, in seconds, that a reminder for an appointment should be displayed before that appointment's due time. This key is read-only.

### REPLY_TIME

    public static final WebdavKey REPLY_TIME

  This key is used to manipulate the `urn:schemas:calendar:replytime` property that represents the time that an attendee replied to a meeting request.

### RESOURCES

    public static final WebdavKey RESOURCES

  This key is used to manipulate the `urn:schemas:calendar:resources` property that represents a list of resources that are available for an appointment.

### RESPONSE_REQUESTED

    public static final WebdavKey RESPONSE_REQUESTED

  This key is used to manipulate the `urn:schemas:calendar:responserequested` property that represents whether the originator of a meeting requested a response on a meeting request.

### R_RULE

    public static final WebdavKey R_RULE

  This key is used to manipulate the `urn:schemas:calendar:rrule` property that represents the recurrence rule for an appointment.

### RSVP

    public static final WebdavKey RSVP

  This key is used to manipulate the `urn:schemas:calendar:rsvp` property that represents the if the originator requested a response to a meeting request.

### SEQUENCE

    public static final WebdavKey SEQUENCE

  This key is used to manipulate the `urn:schemas:calendar:sequence` property that represents the sequence number version for an appointment.

### TIMEZONE

    public static final WebdavKey TIMEZONE

  This key is used to manipulate the `urn:schemas:calendar:timezone` property that represents a custom timezone for an appointment or meeting.

### TIMEZONE_ID

    public static final WebdavKey TIMEZONE_ID

  This key is used to manipulate the `urn:schemas:calendar:timezoneid` property that represents the CDO identifier for a timezone.

### TRANSPARENT

    public static final WebdavKey TRANSPARENT

  This key is used to manipulate the `urn:schemas:calendar:transparent` property that represents if an appointment is visible to free/busy searches. Possible values include `opaque` and `transparent`.

### APPT_UID

    public static final WebdavKey APPT_UID

  This key is used to manipulate the `urn:schemas:calendar:uid` property that represents the unique id of an appointment or meeting.

### VERSION

    public static final WebdavKey VERSION

  This key is used to manipulate the `urn:schemas:calendar:version` property that represents the version of the CDO iCalendar specification.

### APPT_DURATION

    public static final WebdavKey APPT_DURATION

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/apptduration` property that represents the duration, in minutes, of an appointment or meeting.

### APPT_RECUR

    public static final WebdavKey APPT_RECUR

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/apptrecur` property that represents the binary recurrence pattern of an appointment or meeting.

### APPT_STATE_FLAGS

    public static final WebdavKey APPT_STATE_FLAGS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/apptstateflags` property that represents the meeting status, as an integer value, for an appointment or meeting.

### BUSY_STATUS_MAPI

    public static final WebdavKey BUSY_STATUS_MAPI

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/busystatus` property that represents the busy status, as an integer value, for an appointment or meeting.

### RESPONSE_STATUS

    public static final WebdavKey RESPONSE_STATUS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/responsestatus` property that represents the meeting response status, as an integer value, for an appointment or meeting.

### APPT_IS_RECURRING

    public static final WebdavKey APPT_IS_RECURRING

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/is_recurring` property that represents if a WebDAV instance or exception item is recurring.

### RECURRING

    public static final WebdavKey RECURRING

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/recurring` property that represents if a WebDAV master or single item is recurring.

### REMINDER_SET

    public static final WebdavKey REMINDER_SET

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/reminderset` property that represents if a WebDAV item has a reminder set. This property is also represented by the named property: `http://schemas.microsoft.com/mapi/id/{00062003-0000-0000-C000-000000000046}/0x00008503`

### REMINDER_DELTA

    public static final WebdavKey REMINDER_DELTA

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/reminderdelta` property that represents the amount of time, in minutes, that a reminder for an appointment should be displayed before that appointment's due time.

### REMINDER_TYPE

    public static final WebdavKey REMINDER_TYPE

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/remindertype` property. This key is read-only.

### TIMEZONE_STRUCT

    public static final WebdavKey TIMEZONE_STRUCT

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/timezonestruct` property that represents the binary timezone structure information for recurring appointments.

### TIMEZONE_DESC

    public static final WebdavKey TIMEZONE_DESC

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/timezonedesc` property the represents the timezone description of a recurring appointment.

### GLOBAL_OBJID

    public static final WebdavKey GLOBAL_OBJID

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/global_objid` property the represents the unique ID of the appointment associated with a meeting request.

### CLEAN_GLOBAL_OBJID

    public static final WebdavKey CLEAN_GLOBAL_OBJID

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/cleanglobalobjid` property the represents the unique ID of the appointment associated with a meeting request.

### INTENDED_BUSY_STATUS

    public static final WebdavKey INTENDED_BUSY_STATUS

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/intendedbusystatus` property the represents the busy status of the appointment associated with this meeting request.

### SENT_REPRESENTING_NAME

    public static final WebdavKey SENT_REPRESENTING_NAME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/sent_representing_name` property the represents the represented sender of a message.

### SENT_REPRESENTING_ENTRYID

    public static final WebdavKey SENT_REPRESENTING_ENTRYID

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/sent_representing_entryid` property the represents the represented sender entry id of a message

### SENDER_ENTRYID

    public static final WebdavKey SENDER_ENTRYID

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/sender_entryid` property the represents the sender entry id of a message

### MAPI_SENDER_NAME

    public static final WebdavKey MAPI_SENDER_NAME

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/sender_name` property the represents the sender name for a message

### SMART_NO_ATTACH

    public static final WebdavKey SMART_NO_ATTACH

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/smartnoattach` property the represents if the attachments on a message are to be considered as hidden. This key can also be referenced by `{00062008-0000-0000-C000-000000000046}/x8514`.

### COLLBLOB

    public static final WebdavKey COLLBLOB

  This key is used to manipulate the `http://schemas.microsoft.com/repl/collblob` property the represents if the attachments on a message are to be considered as hidden.

### UNREAD_COUNT

    public static final WebdavKey UNREAD_COUNT

  This key is used to manipulate the `urn:schemas:httpmail:unreadcount` property the represents the number of unread objects in a folder.

### CHANGE_TYPE

    public static final WebdavKey CHANGE_TYPE

  This key is used to represent the `http://schemas.microsoft.com/repl/changetype` property that is returned when using WebDAV replication to denote the type of change.

### ORIGINAL_SUBJECT

    public static final WebdavKey ORIGINAL_SUBJECT

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/original_subject` property the represents the subject of the message that was unable to be delivered as specified by an non-delivery report.

### REPORT_TIME

    public static final WebdavKey REPORT_TIME

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/reporttime` property that represents the time of a report.

### RECEIPT_TIME

    public static final WebdavKey RECEIPT_TIME

  This key is used to manipulate the `http://schemas.microsoft.com/exchange/receipttime` property that represents the time of a receipt.

### KEYWORDS

    public static final WebdavKey KEYWORDS

  This key is used to change the `http://schemas.microsoft.com/exchange/keywords-utf8` property that represents the keywords (or categories) of an item.

### ORIGINAL_DISPLAY_TO

    public static final WebdavKey ORIGINAL_DISPLAY_TO

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/original_display_to` property that represents the original TO value of a message that is represented by a report.

### ORIGINAL_DISPLAY_CC

    public static final WebdavKey ORIGINAL_DISPLAY_CC

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/original_display_cc` property that represents the original CC value of a message that is represented by a report.

### MEETING_DATE_SENT

    public static final WebdavKey MEETING_DATE_SENT

  This key is used to manipulate the `http://schemas.microsoft.com/mapi/id/{00062002-0000-0000-C000-000000000046}/0x00008202` property that represents the date an appointment was sent as a meeting to invitees.

### ASSOCIATED

    public static final WebdavKey ASSOCIATED

  Key that represents the MAPI property `0x67aa000b` for an attachment. This key is read-only.

### PR_ATTACH_EXTENSION

    public static final WebdavKey PR_ATTACH_EXTENSION

  Key that represents the MAPI property `PR_ATTACH_EXTENSION` for an attachment. This key is read-only.

### PR_ATTACH_FILENAME

    public static final WebdavKey PR_ATTACH_FILENAME

  Key that represents the MAPI property `PR_ATTACH_FILENAME` for an attachment. This key is read-only.

### PR_ATTACH_CONTENT_ID

    public static final WebdavKey PR_ATTACH_CONTENT_ID

  Key that represents the MAPI property `PR_ATTACH_CONTENT_ID` for an attachment. This key is read-only.

### PR_ATTACH_METHOD

    public static final WebdavKey PR_ATTACH_METHOD

  Key that represents the MAPI property `PR_ATTACH_METHOD` for an attachment. This key is read-only.

### PR_ATTACH_MIME_TAG

    public static final WebdavKey PR_ATTACH_MIME_TAG

  Key that represents the MAPI property `PR_ATTACH_MIME_TAG` for an attachment. This key is read-only.

### PR_ATTACH_NUM

    public static final WebdavKey PR_ATTACH_NUM

  Key that represents the MAPI property `PR_ATTACH_NUM` for an attachment. This key is read-only.

### PR_RENDERING_POSITION

    public static final WebdavKey PR_RENDERING_POSITION

  Key that represents the MAPI property `PR_RENDERING_POSITION` for an attachment. This key is read-only.

### PR_ATTACH_SIZE

    public static final WebdavKey PR_ATTACH_SIZE

  Key that represents the MAPI property `PR_ATTACH_SIZE` for an attachment. This key is read-only.

### PR_CONTENT_UNREAD

    public static final WebdavKey PR_CONTENT_UNREAD

  Key that represents the MAPI property `PR_CONTENT_UNREAD` which is the the number of unread messages for a folder. This key is read-only.

### PR_MESSAGE_CLASS

    public static final WebdavKey PR_MESSAGE_CLASS

  Key that represents the MAPI property `PR_MESSAGE_CLASS` for any message.

### PR_FLAG_STATUS

    public static final WebdavKey PR_FLAG_STATUS

  Key that represents the MAPI property `PR_FLAG_STATUS` for any message.

### PR_OBJECT_TYPE

    public static final WebdavKey PR_OBJECT_TYPE

  Key that represents the MAPI property `PR_OBJECT_TYPE` for any message.

### PR_CONTAINER_CLASS

    public static final WebdavKey PR_CONTAINER_CLASS

  Key that represents the MAPI property `PR_CONTAINER_CLASS` for any folder

### PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

    public static final WebdavKey PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

  Key that represents the MAPI property `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED` for a message. This key is read-only.

### PR_SUBJECT_PREFIX

    public static final WebdavKey PR_SUBJECT_PREFIX

  Key that represents the MAPI property `PR_SUBJECT_PREFIX` for a message.

### PR_MESSAGE_SIZE

    public static final WebdavKey PR_MESSAGE_SIZE

  Key that represents the MAPI property `PR_MESSAGE_SIZE` for a message. This key is read-only.

### PR_READ_RECEIPT_REQUESTED

    public static final WebdavKey PR_READ_RECEIPT_REQUESTED

  Key that represents the MAPI property `PR_READ_RECEIPT_REQUESTED` for a message. This key is read-only.

### PR_URL_COMP_NAME

    public static final WebdavKey PR_URL_COMP_NAME

  Key that represents the MAPI property `PR_READ_RECEIPT_REQUESTED` for a message. This key is read-only.

### PR_LAST_MODIFIER_ENTRYID

    public static final WebdavKey PR_LAST_MODIFIER_ENTRYID

  Key that represents the MAPI property `PR_LAST_MODIFIER_ENTRYID` for a message. This key is read-only.

### PR_PREDECESSOR_CHANGE_LIST

    public static final WebdavKey PR_PREDECESSOR_CHANGE_LIST

  Key that represents the MAPI property `PR_PREDECESSOR_CHANGE_LIST` for a message. This key is read-only.

### PR_CREATOR_NAME

    public static final WebdavKey PR_CREATOR_NAME

  Key that represents the MAPI property `PR_CREATOR_NAME` for a message. This key is read-only.

### PR_CREATOR_ENTRYID

    public static final WebdavKey PR_CREATOR_ENTRYID

  Key that represents the MAPI property `PR_CREATOR_ENTRYID` for a message. This key is read-only.

### PR_LAST_MODIFIER_NAME

    public static final WebdavKey PR_LAST_MODIFIER_NAME

  Key that represents the MAPI property `PR_LAST_MODIFIER_NAME` for a message. This key is read-only.

### PR_ACCESS

    public static final WebdavKey PR_ACCESS

  Key that represents the MAPI property `PR_ACCESS` for a message. This key is read-only.

### PR_ACCESS_LEVEL

    public static final WebdavKey PR_ACCESS_LEVEL

  Key that represents the MAPI property `PR_ACCESS_LEVEL` for a message. This key is read-only.

### PR_SOURCE_KEY

    public static final WebdavKey PR_SOURCE_KEY

  Key that represents the MAPI property `PR_SOURCE_KEY` for a message. This key is read-only.

### PR_RADIO_TELEPHONE_NUMBER

    public static final WebdavKey PR_RADIO_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_RADIO_TELEPHONE_NUMBER` for a contact.

### PR_CAR_TELEPHONE_NUMBER

    public static final WebdavKey PR_CAR_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_CAR_TELEPHONE_NUMBER` for a contact.

### PR_PRIMARY_TELEPHONE_NUMBER

    public static final WebdavKey PR_PRIMARY_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_PRIMARY_TELEPHONE_NUMBER` for a contact.

### PR_ATTACH_DATA_BIN

    public static final WebdavKey PR_ATTACH_DATA_BIN

  Key that represents the MAPI property `PR_ATTACH_DATA_BIN` for a contact.

### PR_REPORT_TEXT

    public static final WebdavKey PR_REPORT_TEXT

  Key that represents the MAPI property `PR_REPORT_TEXT` for a contact.

### PR_ICON_INDEX

    public static final WebdavKey PR_ICON_INDEX

  Key that represents the MAPI property `PR_ICON_INDEX` for an Exchange item.

### FREEBUSY_ADDRESS

    public static final WebdavKey FREEBUSY_ADDRESS

  Key that represents the address of the free/busy entry. This key is read-only.

### FREEBUSY_RANGE_START

    public static final WebdavKey FREEBUSY_RANGE_START

  Key that represents the start of the free busy data.

### FREEBUSY_RANGE_END

    public static final WebdavKey FREEBUSY_RANGE_END

  Key that represents the end of the free busy data.

### FREEBUSY_ALL_MONTHS

    public static final WebdavKey FREEBUSY_ALL_MONTHS

  Key that represents the months of 'all' free/busy data.

### FREEBUSY_ALL_EVENTS

    public static final WebdavKey FREEBUSY_ALL_EVENTS

  Key that represents the events of 'all' free/busy data.

### FREEBUSY_TENTATIVE_MONTHS

    public static final WebdavKey FREEBUSY_TENTATIVE_MONTHS

  Key that represents the months of 'tentative' free/busy data.

### FREEBUSY_TENTATIVE_EVENTS

    public static final WebdavKey FREEBUSY_TENTATIVE_EVENTS

  Key that represents the events of 'tentative' free/busy data.

### FREEBUSY_BUSY_MONTHS

    public static final WebdavKey FREEBUSY_BUSY_MONTHS

  Key that represents the months of 'busy' free/busy data.

### FREEBUSY_BUSY_EVENTS

    public static final WebdavKey FREEBUSY_BUSY_EVENTS

  Key that represents the events of 'busy' free/busy data.

### FREEBUSY_OOF_MONTHS

    public static final WebdavKey FREEBUSY_OOF_MONTHS

  Key that represents the months of 'out of office' free/busy data.

### FREEBUSY_OOF_EVENTS

    public static final WebdavKey FREEBUSY_OOF_EVENTS

  Key that represents the events of 'out of office events' free/busy data.

### FREEBUSY_DATA

    public static final WebdavKey FREEBUSY_DATA

  Key that represents the events local free/busy data.

### FREEBUSY_MONTHS_TO_PUBLISH

    public static final WebdavKey FREEBUSY_MONTHS_TO_PUBLISH

  Key that represents the amount of time, in months, to publish free/busy data.

### RECIPIENTS

    public static final WebdavKey RECIPIENTS

  Key that represents the TO, CC and BCC recipients on any WebDAV message. This key cannot be automatically coerced to known data types, nor is it part of any WebDAV property namespace.

### ORIGINAL_RECIPIENTS

    public static final WebdavKey ORIGINAL_RECIPIENTS

  Key that represents the TO, and CC recipients that are on a message repreented by a report. This key cannot be automatically coerced to known data types, nor is it part of any WebDAV property namespace.

### UNREACHABLE_RECIPIENTS

    public static final WebdavKey UNREACHABLE_RECIPIENTS

  Key that represents the TO, and CC recipients that were not able to be contacted for message delivery. This key cannot be automatically coerced to known data types, nor is it part of any WebDAV property namespace.

Constructor Detail

### WebdavKey

    protected WebdavKey(java.lang.String sID,
                        int iValueType,
                        java.lang.String sNamespace,
                        java.lang.String sName,
                        int iID,
                        boolean bReadOnly)

  Constructor

Parameters:
  `sID` - the internal ID of the key (not `null`).
  `iValueType` - the type of data that they key accesses on the exchange store.
  `sNamespace` - the namespace of the key (not `null`).
  `sName` - the name of this key (not `null`).
  `iID` - the integer ID of the key.
  `bReadOnly` - `true` if this key is read-only, `false` otherwise.

Method Detail

### createKey

    protected static WebdavKey createKey(java.lang.String sID,
                                         int iValueType,
                                         java.lang.String sNamespace,
                                         java.lang.String sName,
                                         int iID)

  Creates a WebdavKey.

  Parameters:
    `sID` - the internal ID of the key (not `null`).
    `iValueType` - the type of data that they key accesses on the exchange store
    `sNamespace` - the namespace of the key (not `null`).
    `sName` - the name of this key (not `null`).
    `iID` - the integer ID of the key
  Returns:
    the newly created key, or an already existing key.

### createKey

    protected static WebdavKey createKey(java.lang.String sID,
                                         int iValueType,
                                         java.lang.String sNamespace,
                                         java.lang.String sName,
                                         int iID,
                                         boolean bReadOnly)

  Creates a WebdavKey.

  Parameters:
    `sID` - the internal ID of the key (not `null`).
    `iValueType` - the type of data that they key accesses on the exchange store.
    `sNamespace` - the namespace of the key (not `null`).
    `sName` - the name of this key (not `null`).
    `iID` - the integer ID of the key.
    `bReadOnly` - `true` if this key is read-only, `false` otherwise.
  Returns:
    the newly created key, or an already existing key.

### createKey

    protected static WebdavKey createKey(java.lang.String sID,
                                         int iValueType,
                                         int iProptag,
                                         int iID,
                                         boolean bReadOnly)

  Creates an WebdavKey based on a property tag.

  Parameters:
    `sID` - the mapi id (not `null`).
    `iValueType` - the data type that this key holds.
    `iProptag` - the tag value.
    `iID` - the unique integer ID for this key.
    `bReadOnly` - `true` if this key is read-only, `false` otherwise.
  Returns:
    a key that contains both MAPI and WebDAV values based on the proptag specified.

### createKey

    protected static WebdavKey createKey(java.lang.String sID,
                                         int iValueType,
                                         int iProptag,
                                         boolean bReadOnly)

  Creates an WebdavKey based on a property tag

  Parameters:
    `sID` - the mapi id (not `null`).
    `iValueType` - the data type that this key holds.
    `iProptag` - the tag value.
    `bReadOnly` - `true` if this key is read-only, `false` otherwise.
  Returns:
    a key that contains both MAPI and WebDAV values based on the proptag specified.

### createKey

    public static WebdavKey createKey(int iValueType,
                                      int iProptag)

  Creates a custom WebdavKey based on a property tag.

  Parameters:
    `iValueType` - the type of data that they key accesses on the exchange store.
    `iProptag` - the MAPI proptag of this key in hex.
  Returns:
    the newly created key, or an already existing key.

### createKey

    protected static WebdavKey createKey(java.lang.String sInternalID,
                                         int iValueType,
                                         java.lang.String sNamespace,
                                         java.lang.String sGUID,
                                         java.lang.String sID,
                                         int iID)

  Creates a custom WebdavKey based on a mapi named prop.

  Parameters:
    `sInternalID` - the internal ID of the key (not `null`).
    `iValueType` - the type of data that they key accesses on the exchange store.
    `sNamespace` - the namespace of the key (not `null`).
    `sGUID` - the GUID of the named prop (not `null`).
    `sID` - the ID of the key to create.
    `iID` - the integer internal id of the key.
  Returns:
    the newly created key, or an already existing key.

### createKey

    public static WebdavKey createKey(int iValueType,
                                      java.lang.String sNamespace,
                                      java.lang.String sGUID,
                                      java.lang.String sID)

  Creates a custom WebdavKey based on a mapi named prop.

  Parameters:
    `iValueType` - the type of data that they key accesses on the exchange store.
    `sNamespace` - the namespace of the key (not `null`).
    `sGUID` - the GUID of the named prop (not `null`).
    `sID` - the id of the named prop (not `null`).
  Returns:
    the newly created key, or an already existing key.

### createKey

    public static WebdavKey createKey(int iValueType,
                                      java.lang.String sNamespace,
                                      java.lang.String sName)

  Creates a WebDAV key based on a WebDAV namespace and name.

  Parameters:
    `iValueType` - the type of data that they key accesses on the exchange store.
    `sNamespace` - the namespace of the key. A `null` namespace will assume that the key is in the PS_PUBLIC_STRINGS namespace.
    `sName` - the name of this key (not `null`).
  Returns:
    the newly created key, or an already existing key.

### getNamespace

    public java.lang.String getNamespace()

  Gets the WebDAV namespace.

  Returns:
    the WebDAV namespace, or `null` if not set

### getName

    public java.lang.String getName()

  Gets the WebDAV name.

  Returns:
    the WebDAV name, or `null` if not set

### getProptag

    public int getProptag()

  Gets the Proptag.

  Returns:
    the proptag, or zero if it was not defined

### findByProptag

    public static WebdavKey findByProptag(int iProptag)

  Finds an `WebDavKey` based on MAPI proptag.

  Parameters:
    `iProptag` - the proptag to use when looking up a `WebDavKey`.
  Returns:
    the key associated with the specified proptag, or `null` if the key has not yet been created.

### getFullName

    public java.lang.String getFullName()

  Combines a webdav namespace and name together as a single strings

  Returns:
    the combined namespace and name (ie: DAV:href)

### findKeyByWebdavName

    public static WebdavKey findKeyByWebdavName(java.lang.String sWebdavNamespace,
                                                java.lang.String sWebdavName)

  Get a key based on a webdav id.

  Parameters:
    `sWebdavNamespace` - the namespace of the key to find
    `sWebdavName` - the name of the key to find
  Returns:
    the key, or `null` if the key cannot be found.

### toString

    public java.lang.String toString()

  Returns a string representation of the key

  Overrides:
    `toString` in class `Key`
  See Also:
    `Object.toString()`

### getDataType

    public java.lang.String getDataType()

  Gets the WebDAV data type of this key.

  Returns:
    the WebDAV data type of this key (such as mv.string or dateTime.tz).

### getCollabTypeFromWebdavType

    public static int getCollabTypeFromWebdavType(java.lang.String sDataType)

  Converts a WebDAV data type into a collab data type

  Parameters:
    `sDataType` - the WebDAV data type to convert into a collab date type.
  Returns:
    the `Key.VALUE_` that represents the WebDAV data type.

### getIntID

    public int getIntID()

  Description copied from class: `Key`
  Get the integer ID

  Overrides:
    `getIntID` in class `Key`
  Returns:
    the int ID

### equals

    public boolean equals(java.lang.Object obj)

  Description copied from class: `Key`
  Two keys are equal if they share IDs. Note that objects of different Key subclasses can be equal.

  Overrides:
    `equals` in class `Key`
  Parameters:
    `obj` - the Object to test equality against
  Returns:
    `true` if the objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.